# Copyright (c) 2016-2017 Anki, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License in the file LICENSE.txt or at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""
Autogenerated python message buffer code.
Source: clad/audio/audioEventTypes.clad
Full command line: ../tools/message-buffers/emitters/Python_emitter.py -C ./src/ -I ../robot/clad/src/ ../coretech/vision/clad/src/ ../coretech/common/clad/src/ ../lib/util/source/anki/clad -o ../generated/cladPython// clad/audio/audioEventTypes.clad
"""

from __future__ import absolute_import
from __future__ import print_function

def _modify_path():
  import inspect, os, sys
  search_paths = [
    '../..',
    '../../../../tools/message-buffers/support/python',
  ]
  currentpath = os.path.abspath(os.path.dirname(inspect.getfile(inspect.currentframe())))
  for search_path in search_paths:
    search_path = os.path.normpath(os.path.abspath(os.path.realpath(os.path.join(currentpath, search_path))))
    if search_path not in sys.path:
      sys.path.insert(0, search_path)
_modify_path()

import msgbuffers

Anki = msgbuffers.Namespace()
Anki.AudioMetaData = msgbuffers.Namespace()
Anki.AudioMetaData.GameEvent = msgbuffers.Namespace()

class App(object):
  "Automatically-generated uint_32 enumeration."
  Invalid           = 0
  Music_Dim_Off     = 1721389992
  Music_Dim_On      = 3577443762
  Music_Vc_Mode_Off = 2840054831
  Music_Vc_Mode_On  = 708318267

Anki.AudioMetaData.GameEvent.App = App
del App


class Codelab(object):
  "Automatically-generated uint_32 enumeration."
  Invalid                                       = 0
  Music_Background_Silence_Off                  = 3328628191
  Music_Background_Silence_On                   = 4207184651
  Music_Cube_Whack                              = 3324716189
  Music_Fun_Loop                                = 1284343309
  Music_Fun_Loop_Stop                           = 2123694542
  Music_Global_Stop                             = 2512535841
  Music_Hot_Potato_Level_1_Loop                 = 716489468
  Music_Hot_Potato_Level_1_Loop_Stop            = 2689778401
  Music_Hot_Potato_Level_2_Loop                 = 2357357213
  Music_Hot_Potato_Level_2_Loop_Stop            = 3058241090
  Music_Hot_Potato_Level_3_Loop                 = 2340195146
  Music_Hot_Potato_Level_3_Loop_Stop            = 2301371667
  Music_Hot_Potato_Level_4_Loop                 = 4097176099
  Music_Hot_Potato_Level_4_Loop_Stop            = 3129138908
  Music_Magic8_Reveal_Stinger                   = 1998467689
  Music_Magic8_Reveal_Stinger_Stop              = 16687378
  Music_Minigame_Guarding                       = 68811196
  Music_Minigame_Keepaway                       = 1704220796
  Music_Minigame_Memory_Match                   = 2453926618
  Music_Minigame_Quick_Tap                      = 2097494912
  Music_Minigame_Setup                          = 1003364776
  Music_Style_80S_1_159Bpm_Loop                 = 1808088864
  Music_Style_80S_1_159Bpm_Loop_Stop            = 1451276801
  Music_Style_Disco_1_135Bpm_Loop               = 2717741607
  Music_Style_Disco_1_135Bpm_Loop_Stop          = 3069781320
  Music_Style_Mambo_1_183Bpm_Loop               = 1905159696
  Music_Style_Mambo_1_183Bpm_Loop_Stop          = 1709157641
  Music_Tiny_Orchestra_Bass_01_Loop             = 1352943452
  Music_Tiny_Orchestra_Bass_01_Loop_Stop        = 1353021637
  Music_Tiny_Orchestra_Bass_02_Loop             = 3270107901
  Music_Tiny_Orchestra_Bass_02_Loop_Stop        = 3636979286
  Music_Tiny_Orchestra_Bass_03_Loop             = 3677506218
  Music_Tiny_Orchestra_Bass_03_Loop_Stop        = 1838210855
  Music_Tiny_Orchestra_Bass_Mode_1              = 2111780371
  Music_Tiny_Orchestra_Bass_Mode_1_Stop         = 222737888
  Music_Tiny_Orchestra_Bass_Mode_2              = 2111780368
  Music_Tiny_Orchestra_Bass_Mode_2_Stop         = 1587327405
  Music_Tiny_Orchestra_Bass_Mode_3              = 2111780369
  Music_Tiny_Orchestra_Bass_Mode_3_Stop         = 1731643034
  Music_Tiny_Orchestra_Bass_Stop                = 1011028768
  Music_Tiny_Orchestra_Glock_Pluck_01_Loop      = 2091022501
  Music_Tiny_Orchestra_Glock_Pluck_01_Loop_Stop = 1371551766
  Music_Tiny_Orchestra_Glock_Pluck_02_Loop      = 1416718788
  Music_Tiny_Orchestra_Glock_Pluck_02_Loop_Stop = 1925511301
  Music_Tiny_Orchestra_Glock_Pluck_03_Loop      = 668702647
  Music_Tiny_Orchestra_Glock_Pluck_03_Loop_Stop = 2578133564
  Music_Tiny_Orchestra_Glock_Pluck_Mode_1       = 1774266660
  Music_Tiny_Orchestra_Glock_Pluck_Mode_1_Stop  = 1662844729
  Music_Tiny_Orchestra_Glock_Pluck_Mode_2       = 1774266663
  Music_Tiny_Orchestra_Glock_Pluck_Mode_2_Stop  = 2287415996
  Music_Tiny_Orchestra_Glock_Pluck_Mode_3       = 1774266662
  Music_Tiny_Orchestra_Glock_Pluck_Mode_3_Stop  = 3420658727
  Music_Tiny_Orchestra_Glock_Pluck_Stop         = 3644877187
  Music_Tiny_Orchestra_Init                     = 4134268600
  Music_Tiny_Orchestra_Stop                     = 4261649076
  Music_Tiny_Orchestra_Strings_01_Loop          = 846761783
  Music_Tiny_Orchestra_Strings_01_Loop_Stop     = 3051334784
  Music_Tiny_Orchestra_Strings_02_Loop          = 363664914
  Music_Tiny_Orchestra_Strings_02_Loop_Stop     = 3105309531
  Music_Tiny_Orchestra_Strings_03_Loop          = 2269081637
  Music_Tiny_Orchestra_Strings_03_Loop_Stop     = 4031668042
  Music_Tiny_Orchestra_Strings_Mode_1           = 3175211494
  Music_Tiny_Orchestra_Strings_Mode_1_Stop      = 2836526843
  Music_Tiny_Orchestra_Strings_Mode_2           = 3175211493
  Music_Tiny_Orchestra_Strings_Mode_2_Stop      = 3381154170
  Music_Tiny_Orchestra_Strings_Mode_3           = 3175211492
  Music_Tiny_Orchestra_Strings_Mode_3_Stop      = 2812380813
  Music_Tiny_Orchestra_Strings_Stop             = 3805843413
  Sfx_Alien_Invasion_Ufo                        = 72626837
  Sfx_Alien_Invasion_Ufo_Stop                   = 2912905250
  Sfx_Brick_Bash                                = 773532685
  Sfx_Brick_Bash_Stop                           = 1455749214
  Sfx_Car_Belt_Whirr                            = 1246434232
  Sfx_Car_Engine_Loop                           = 1215576831
  Sfx_Car_Engine_Rev                            = 4062794568
  Sfx_Car_Engine_Start                          = 1277888383
  Sfx_Car_Engine_Stop                           = 463482053
  Sfx_Car_Explosion_Big                         = 829964050
  Sfx_Car_Explosion_Small                       = 3913227909
  Sfx_Car_Gear_Grind                            = 2505152966
  Sfx_Car_Gear_Shift                            = 1754269120
  Sfx_Car_Metal_Clank                           = 3516620147
  Sfx_Car_Tire_Squeal                           = 854603000
  Sfx_Constellation_Star                        = 1881919109
  Sfx_Constellation_Star_Stop                   = 579345806
  Sfx_Cube_Light                                = 1237348851
  Sfx_Cube_Light_Stop                           = 2096539976
  Sfx_Egg_Decorating_Crack                      = 1294616912
  Sfx_Egg_Decorating_Crack_Stop                 = 3818701437
  Sfx_Fantasy_Boiling                           = 4170334366
  Sfx_Fantasy_Horse_Hooves                      = 2267557798
  Sfx_Fantasy_Magic_Wand                        = 1182522686
  Sfx_Fantasy_Rainbow                           = 2101412478
  Sfx_Fantasy_Smoke_Puff                        = 2522315331
  Sfx_Fantasy_Swords                            = 2009700242
  Sfx_Fantasy_Witch_Cackle                      = 3148707911
  Sfx_Fidget_Spinner_Loop_Play                  = 711055678
  Sfx_Fidget_Spinner_Loop_Stop                  = 2909245734
  Sfx_Fidget_Spinner_Start                      = 2368469177
  Sfx_Fidget_Spinner_Start_Stop                 = 2997419718
  Sfx_Firetruck_Timer_End                       = 2490749974
  Sfx_Firetruck_Timer_End_Stop                  = 421166967
  Sfx_Firetruck_Timer_Start                     = 2969457917
  Sfx_Firetruck_Timer_Start_Stop                = 494556302
  Sfx_Flappy_Increase                           = 3457937792
  Sfx_Flappy_Increase_Stop                      = 437871341
  Sfx_Game_Lose                                 = 1551222965
  Sfx_Game_Lose_Stop                            = 347471374
  Sfx_Game_Win                                  = 2440620400
  Sfx_Game_Win_Stop                             = 1156077641
  Sfx_General_Click                             = 553309426
  Sfx_General_Loop                              = 4189081492
  Sfx_General_Negative                          = 1811230867
  Sfx_General_Pop                               = 3322335847
  Sfx_General_Positive                          = 2323616447
  Sfx_General_Whirr                             = 2094644892
  Sfx_Global_Stop                               = 2451909313
  Sfx_Hot_Potato_Cube_Charge                    = 1053690875
  Sfx_Hot_Potato_Cube_Charge_Stop               = 3280818964
  Sfx_Hot_Potato_Cube_Ready                     = 1379908684
  Sfx_Hot_Potato_Cube_Ready_Stop                = 3293236253
  Sfx_Hot_Potato_Pass                           = 17262752
  Sfx_Hot_Potato_Pass_Stop                      = 2579746409
  Sfx_Hot_Potato_Timer_End                      = 1167243172
  Sfx_Hot_Potato_Timer_End_Stop                 = 1930994181
  Sfx_Magic8_Message_Reveal                     = 4071915446
  Sfx_Magic8_Message_Reveal_Stop                = 3951709903
  Sfx_Magnet_Attract                            = 3253652261
  Sfx_Magnet_Attract_Stop                       = 1573765534
  Sfx_Magnet_Repel                              = 131125164
  Sfx_Magnet_Repel_Stop                         = 827939469
  Sfx_Morse_Code_Dash                           = 3631133922
  Sfx_Morse_Code_Dash_Stop                      = 4156175391
  Sfx_Morse_Code_Dot                            = 4212384135
  Sfx_Morse_Code_Dot_Stop                       = 850860868
  Sfx_Morse_Code_Silent                         = 1002265509
  Sfx_Morse_Code_Silent_Stop                    = 620507378
  Sfx_Outdoor_Cricket                           = 2111224819
  Sfx_Outdoor_Fish_Splash                       = 3070185826
  Sfx_Outdoor_Frog                              = 1062257428
  Sfx_Outdoor_Leaves                            = 1835562062
  Sfx_Outdoor_Rain                              = 1236772716
  Sfx_Outdoor_Thunder                           = 210748252
  Sfx_Outdoor_Wind_Gust                         = 1145482758
  Sfx_Outdoor_Wolf                              = 3677205318
  Sfx_Paddle_Ball_Bounce                        = 1845849602
  Sfx_Paddle_Ball_Bounce_Stop                   = 3192082383
  Sfx_Pot_O_Gold_Blip_Level1                    = 3533103863
  Sfx_Pot_O_Gold_Blip_Level1_Stop               = 970660780
  Sfx_Pot_O_Gold_Blip_Level2                    = 3533103860
  Sfx_Pot_O_Gold_Blip_Level2_Stop               = 3985940521
  Sfx_Pot_O_Gold_Blip_Level3                    = 3533103861
  Sfx_Pot_O_Gold_Blip_Level3_Stop               = 2482812534
  Sfx_Putt_Hole_Success                         = 3020894301
  Sfx_Putt_Hole_Success_Stop                    = 3048074246
  Sfx_Shared_Countdown                          = 3959673678
  Sfx_Shared_Countdown_Stop                     = 769770611
  Sfx_Shared_Cube_Light_On                      = 2279105405
  Sfx_Shared_Cube_Light_On_Stop                 = 3298580386
  Sfx_Shared_Error                              = 2368558265
  Sfx_Shared_Error_Stop                         = 63429898
  Sfx_Shared_Success                            = 211381434
  Sfx_Shared_Success_Stop                       = 2158984211
  Sfx_Shared_Timer_Click                        = 3038792837
  Sfx_Shared_Timer_Click_Stop                   = 165689370
  Sfx_Shared_Timer_End                          = 343938494
  Sfx_Shared_Timer_End_Stop                     = 1219615815
  Sfx_Shared_Timer_Warning                      = 1420860677
  Sfx_Shared_Timer_Warning_Stop                 = 3016301418

Anki.AudioMetaData.GameEvent.Codelab = Codelab
del Codelab


class Coz_App(object):
  "Automatically-generated uint_32 enumeration."
  Enter_Background = 2017190380
  Enter_Foreground = 1225777195
  Invalid          = 0

Anki.AudioMetaData.GameEvent.Coz_App = Coz_App
del Coz_App


class Cue_World_Event(object):
  "Automatically-generated uint_32 enumeration."
  Cubes_Stacked = 1000549318
  Invalid       = 0
  Lift_Cube     = 3519020371
  Request_Game  = 87707182

Anki.AudioMetaData.GameEvent.Cue_World_Event = Cue_World_Event
del Cue_World_Event


class Dev_Device(object):
  "Automatically-generated uint_32 enumeration."
  External_Source = 3462246304
  Invalid         = 0
  Tone_Generator  = 2415524415

Anki.AudioMetaData.GameEvent.Dev_Device = Dev_Device
del Dev_Device


class Dev_Robot(object):
  "Automatically-generated uint_32 enumeration."
  External_Source    = 2539447680
  Freq_Sweep         = 2028515806
  Invalid            = 0
  Pink_1Sec          = 3980968688
  Pink_5Sec          = 988519260
  Playpen_Freq_Sweep = 2363892348
  Tone_10_Frames     = 562004976
  Tone_150_Frames    = 80309779
  Tone_1760Hz_5Sec   = 3488492107
  Tone_1K_1Sec       = 4068444155
  Tone_1K_5Sec       = 1034417959
  Tone_30_Frames     = 342573130
  Tone_440Hz_5Sec    = 1471825745

Anki.AudioMetaData.GameEvent.Dev_Robot = Dev_Robot
del Dev_Robot


class EventGroupType(object):
  "Automatically-generated uint_32 enumeration."
  App             = 0
  Codelab         = 1
  Coz_App         = 2
  Cue_World_Event = 3
  Dev_Device      = 4
  Dev_Robot       = 5
  GenericEvent    = 6
  Music           = 7
  Robot_Sfx       = 8
  Robot_Vo        = 9
  Sdk             = 10
  Sfx             = 11
  Ui              = 12

Anki.AudioMetaData.GameEvent.EventGroupType = EventGroupType
del EventGroupType


class GenericEvent(object):
  "Automatically-generated uint_32 enumeration."
  Invalid                                                         = 0
  Play__App__Music_Dim_Off                                        = 1721389992
  Play__App__Music_Dim_On                                         = 3577443762
  Play__App__Music_Vc_Mode_Off                                    = 2840054831
  Play__App__Music_Vc_Mode_On                                     = 708318267
  Play__Codelab__Music_Background_Silence_Off                     = 3328628191
  Play__Codelab__Music_Background_Silence_On                      = 4207184651
  Play__Codelab__Music_Cube_Whack                                 = 3672334899
  Play__Codelab__Music_Fun_Loop                                   = 1284343309
  Play__Codelab__Music_Hot_Potato_Level_1_Loop                    = 716489468
  Play__Codelab__Music_Hot_Potato_Level_2_Loop                    = 2357357213
  Play__Codelab__Music_Hot_Potato_Level_3_Loop                    = 2340195146
  Play__Codelab__Music_Hot_Potato_Level_4_Loop                    = 4097176099
  Play__Codelab__Music_Magic8_Reveal_Stinger                      = 1998467689
  Play__Codelab__Music_Minigame_Guarding                          = 68811196
  Play__Codelab__Music_Minigame_Keepaway                          = 1704220796
  Play__Codelab__Music_Minigame_Memory_Match                      = 2453926618
  Play__Codelab__Music_Minigame_Quick_Tap                         = 2097494912
  Play__Codelab__Music_Minigame_Setup                             = 1003364776
  Play__Codelab__Music_Style_80S_1_159Bpm_Loop                    = 1808088864
  Play__Codelab__Music_Style_Disco_1_135Bpm_Loop                  = 2717741607
  Play__Codelab__Music_Style_Mambo_1_183Bpm_Loop                  = 1905159696
  Play__Codelab__Music_Tiny_Orchestra_Bass_01_Loop                = 1352943452
  Play__Codelab__Music_Tiny_Orchestra_Bass_02_Loop                = 3270107901
  Play__Codelab__Music_Tiny_Orchestra_Bass_03_Loop                = 3677506218
  Play__Codelab__Music_Tiny_Orchestra_Bass_Mode_1                 = 2111780371
  Play__Codelab__Music_Tiny_Orchestra_Bass_Mode_2                 = 2111780368
  Play__Codelab__Music_Tiny_Orchestra_Bass_Mode_3                 = 2111780369
  Play__Codelab__Music_Tiny_Orchestra_Glock_Pluck_01_Loop         = 2091022501
  Play__Codelab__Music_Tiny_Orchestra_Glock_Pluck_02_Loop         = 1416718788
  Play__Codelab__Music_Tiny_Orchestra_Glock_Pluck_03_Loop         = 668702647
  Play__Codelab__Music_Tiny_Orchestra_Glock_Pluck_Mode_1          = 1774266660
  Play__Codelab__Music_Tiny_Orchestra_Glock_Pluck_Mode_2          = 1774266663
  Play__Codelab__Music_Tiny_Orchestra_Glock_Pluck_Mode_3          = 1774266662
  Play__Codelab__Music_Tiny_Orchestra_Init                        = 4134268600
  Play__Codelab__Music_Tiny_Orchestra_Strings_01_Loop             = 846761783
  Play__Codelab__Music_Tiny_Orchestra_Strings_02_Loop             = 363664914
  Play__Codelab__Music_Tiny_Orchestra_Strings_03_Loop             = 2269081637
  Play__Codelab__Music_Tiny_Orchestra_Strings_Mode_1              = 3175211494
  Play__Codelab__Music_Tiny_Orchestra_Strings_Mode_2              = 3175211493
  Play__Codelab__Music_Tiny_Orchestra_Strings_Mode_3              = 3175211492
  Play__Codelab__Sfx_Alien_Invasion_Ufo                           = 72626837
  Play__Codelab__Sfx_Brick_Bash                                   = 773532685
  Play__Codelab__Sfx_Car_Belt_Whirr                               = 1246434232
  Play__Codelab__Sfx_Car_Engine_Loop                              = 1215576831
  Play__Codelab__Sfx_Car_Engine_Rev                               = 4062794568
  Play__Codelab__Sfx_Car_Engine_Start                             = 1277888383
  Play__Codelab__Sfx_Car_Engine_Stop                              = 463482053
  Play__Codelab__Sfx_Car_Explosion_Big                            = 829964050
  Play__Codelab__Sfx_Car_Explosion_Small                          = 3913227909
  Play__Codelab__Sfx_Car_Gear_Grind                               = 2505152966
  Play__Codelab__Sfx_Car_Gear_Shift                               = 1754269120
  Play__Codelab__Sfx_Car_Metal_Clank                              = 3516620147
  Play__Codelab__Sfx_Car_Tire_Squeal                              = 854603000
  Play__Codelab__Sfx_Constellation_Star                           = 1881919109
  Play__Codelab__Sfx_Cube_Light                                   = 1237348851
  Play__Codelab__Sfx_Egg_Decorating_Crack                         = 1294616912
  Play__Codelab__Sfx_Fantasy_Boiling                              = 4170334366
  Play__Codelab__Sfx_Fantasy_Horse_Hooves                         = 2267557798
  Play__Codelab__Sfx_Fantasy_Magic_Wand                           = 1182522686
  Play__Codelab__Sfx_Fantasy_Rainbow                              = 2101412478
  Play__Codelab__Sfx_Fantasy_Smoke_Puff                           = 2522315331
  Play__Codelab__Sfx_Fantasy_Swords                               = 2009700242
  Play__Codelab__Sfx_Fantasy_Witch_Cackle                         = 3148707911
  Play__Codelab__Sfx_Fidget_Spinner_Loop_Play                     = 711055678
  Play__Codelab__Sfx_Fidget_Spinner_Start                         = 2368469177
  Play__Codelab__Sfx_Firetruck_Timer_End                          = 2490749974
  Play__Codelab__Sfx_Firetruck_Timer_Start                        = 2969457917
  Play__Codelab__Sfx_Flappy_Increase                              = 3457937792
  Play__Codelab__Sfx_Game_Lose                                    = 1551222965
  Play__Codelab__Sfx_Game_Win                                     = 2440620400
  Play__Codelab__Sfx_General_Click                                = 553309426
  Play__Codelab__Sfx_General_Loop                                 = 4189081492
  Play__Codelab__Sfx_General_Negative                             = 1811230867
  Play__Codelab__Sfx_General_Pop                                  = 3322335847
  Play__Codelab__Sfx_General_Positive                             = 2323616447
  Play__Codelab__Sfx_General_Whirr                                = 2094644892
  Play__Codelab__Sfx_Hot_Potato_Cube_Charge                       = 1053690875
  Play__Codelab__Sfx_Hot_Potato_Cube_Ready                        = 1379908684
  Play__Codelab__Sfx_Hot_Potato_Pass                              = 17262752
  Play__Codelab__Sfx_Hot_Potato_Timer_End                         = 1167243172
  Play__Codelab__Sfx_Magic8_Message_Reveal                        = 4071915446
  Play__Codelab__Sfx_Magnet_Attract                               = 3253652261
  Play__Codelab__Sfx_Magnet_Repel                                 = 131125164
  Play__Codelab__Sfx_Morse_Code_Dash                              = 3631133922
  Play__Codelab__Sfx_Morse_Code_Dot                               = 4212384135
  Play__Codelab__Sfx_Morse_Code_Silent                            = 1002265509
  Play__Codelab__Sfx_Outdoor_Cricket                              = 2111224819
  Play__Codelab__Sfx_Outdoor_Fish_Splash                          = 3070185826
  Play__Codelab__Sfx_Outdoor_Frog                                 = 1062257428
  Play__Codelab__Sfx_Outdoor_Leaves                               = 1835562062
  Play__Codelab__Sfx_Outdoor_Rain                                 = 1236772716
  Play__Codelab__Sfx_Outdoor_Thunder                              = 210748252
  Play__Codelab__Sfx_Outdoor_Wind_Gust                            = 1145482758
  Play__Codelab__Sfx_Outdoor_Wolf                                 = 3677205318
  Play__Codelab__Sfx_Paddle_Ball_Bounce                           = 1845849602
  Play__Codelab__Sfx_Pot_O_Gold_Blip_Level1                       = 3533103863
  Play__Codelab__Sfx_Pot_O_Gold_Blip_Level2                       = 3533103860
  Play__Codelab__Sfx_Pot_O_Gold_Blip_Level3                       = 3533103861
  Play__Codelab__Sfx_Putt_Hole_Success                            = 3020894301
  Play__Codelab__Sfx_Shared_Countdown                             = 3959673678
  Play__Codelab__Sfx_Shared_Cube_Light_On                         = 2279105405
  Play__Codelab__Sfx_Shared_Error                                 = 2368558265
  Play__Codelab__Sfx_Shared_Success                               = 211381434
  Play__Codelab__Sfx_Shared_Timer_Click                           = 3038792837
  Play__Codelab__Sfx_Shared_Timer_End                             = 343938494
  Play__Codelab__Sfx_Shared_Timer_Warning                         = 1420860677
  Play__Coz_App__Enter_Background                                 = 2017190380
  Play__Coz_App__Enter_Foreground                                 = 1225777195
  Play__Cue_World_Event__Cubes_Stacked                            = 3962867948
  Play__Cue_World_Event__Lift_Cube                                = 3181878805
  Play__Cue_World_Event__Request_Game                             = 1823437100
  Play__Dev_Device__External_Source                               = 3462246304
  Play__Dev_Device__Tone_Generator                                = 2415524415
  Play__Dev_Robot__External_Source                                = 2539447680
  Play__Dev_Robot__Freq_Sweep                                     = 2028515806
  Play__Dev_Robot__Pink_1Sec                                      = 3980968688
  Play__Dev_Robot__Pink_5Sec                                      = 988519260
  Play__Dev_Robot__Playpen_Freq_Sweep                             = 2363892348
  Play__Dev_Robot__Tone_10_Frames                                 = 562004976
  Play__Dev_Robot__Tone_150_Frames                                = 80309779
  Play__Dev_Robot__Tone_1760Hz_5Sec                               = 3488492107
  Play__Dev_Robot__Tone_1K_1Sec                                   = 4068444155
  Play__Dev_Robot__Tone_1K_5Sec                                   = 1034417959
  Play__Dev_Robot__Tone_30_Frames                                 = 342573130
  Play__Dev_Robot__Tone_440Hz_5Sec                                = 1471825745
  Play__Music__Play                                               = 2748524418
  Play__Robot_Sfx__Arcade_Bouncer_Bounce                          = 2333331537
  Play__Robot_Sfx__Arcade_Bouncer_Bounce_Paddle                   = 1207847204
  Play__Robot_Sfx__Arcade_Bouncer_Fail                            = 999041549
  Play__Robot_Sfx__Bored_Brickout                                 = 4013569785
  Play__Robot_Sfx__Bored_Pendulum                                 = 62303530
  Play__Robot_Sfx__Bored_Slot                                     = 3905586496
  Play__Robot_Sfx__Bpk_Blue_Loop_Play                             = 4211412779
  Play__Robot_Sfx__Bpk_Green_Loop_Play                            = 1352654968
  Play__Robot_Sfx__Bpk_Red_Loop_Play                              = 2658520760
  Play__Robot_Sfx__Bpk_White_Loop_Play                            = 118136366
  Play__Robot_Sfx__Cube_Energy_Transfer                           = 2633747393
  Play__Robot_Sfx__Dog_Siren                                      = 2814310779
  Play__Robot_Sfx__Effort_Fail                                    = 3308460754
  Play__Robot_Sfx__Effort_Long                                    = 668351040
  Play__Robot_Sfx__Effort_Medium                                  = 3696071919
  Play__Robot_Sfx__Fist_Bump                                      = 1216170354
  Play__Robot_Sfx__Guard_Dog_Fail                                 = 2830692182
  Play__Robot_Sfx__Mvt_Tread_Backward_Loop_Play                   = 2180021393
  Play__Robot_Sfx__Mvt_Tread_Backward_Start                       = 2613090854
  Play__Robot_Sfx__Mvt_Tread_Backward_Stop                        = 1888692326
  Play__Robot_Sfx__Mvt_Tread_Forward_Loop_Play                    = 1822774717
  Play__Robot_Sfx__Mvt_Tread_Forward_Start                        = 2652548234
  Play__Robot_Sfx__Mvt_Tread_Forward_Stop                         = 3470930658
  Play__Robot_Sfx__Mvt_Tread_Spin_Loop_Play                       = 1721811722
  Play__Robot_Sfx__Mvt_Tread_Spin_Start                           = 952401069
  Play__Robot_Sfx__Mvt_Tread_Spin_Stop                            = 2338140655
  Play__Robot_Sfx__Nurture_Feeding_Severe_Slurp_1                 = 2997826879
  Play__Robot_Sfx__Nurture_Feeding_Severe_Slurp_2                 = 2997826876
  Play__Robot_Sfx__Nurture_Feeding_Slurp_1                        = 1851457030
  Play__Robot_Sfx__Nurture_Feeding_Slurp_2                        = 1851457029
  Play__Robot_Sfx__Nurture_Feeding_Slurp_3                        = 1851457028
  Play__Robot_Sfx__Nurture_Feeding_Slurp_End                      = 724172172
  Play__Robot_Sfx__Nurture_Feeding_Slurp_Fail                     = 321678609
  Play__Robot_Sfx__Nurture_Feeding_Slurp_Severe_End               = 2493765627
  Play__Robot_Sfx__Onboarding_Power_On                            = 3840096848
  Play__Robot_Sfx__Purr_Test_01                                   = 3486629323
  Play__Robot_Sfx__Purr_Test_02                                   = 3486629320
  Play__Robot_Sfx__Purr_Test_03                                   = 3486629321
  Play__Robot_Sfx__Purr_Test_04                                   = 3486629326
  Play__Robot_Sfx__Purr_Test_05                                   = 3486629327
  Play__Robot_Sfx__Purr_Test_06                                   = 3486629324
  Play__Robot_Sfx__Qa_Scrn_Angry_Long                             = 456773531
  Play__Robot_Sfx__Qa_Scrn_Sad_Long                               = 2927747014
  Play__Robot_Sfx__Qa_Scrn_Surprised_Long                         = 1297306135
  Play__Robot_Sfx__Repair_Calibrate                               = 2827992012
  Play__Robot_Sfx__Scan_Loop_Play                                 = 866674656
  Play__Robot_Sfx__Scan_Single                                    = 3220792573
  Play__Robot_Sfx__Scan_Start                                     = 3872572455
  Play__Robot_Sfx__Scan_Stop                                      = 2639724621
  Play__Robot_Sfx__Scan_Stop_Bell                                 = 2818178987
  Play__Robot_Sfx__Scrn_Angry                                     = 2974471057
  Play__Robot_Sfx__Scrn_Angry_Long                                = 3501460118
  Play__Robot_Sfx__Scrn_Angry_Loop_Play                           = 2332165935
  Play__Robot_Sfx__Scrn_Angry_Short                               = 105427450
  Play__Robot_Sfx__Scrn_Angry_Single                              = 1286585712
  Play__Robot_Sfx__Scrn_Blink                                     = 2666670780
  Play__Robot_Sfx__Scrn_Curious                                   = 1701725212
  Play__Robot_Sfx__Scrn_Curious_Long                              = 3031263429
  Play__Robot_Sfx__Scrn_Curious_Loop_Play                         = 1038670390
  Play__Robot_Sfx__Scrn_Curious_Pitch_Up                          = 3559153577
  Play__Robot_Sfx__Scrn_Curious_Short                             = 2929211683
  Play__Robot_Sfx__Scrn_Curious_Single                            = 2347235575
  Play__Robot_Sfx__Scrn_Glitch                                    = 580622593
  Play__Robot_Sfx__Scrn_Glitch_Long                               = 3415600454
  Play__Robot_Sfx__Scrn_Glitch_Sad                                = 1711545752
  Play__Robot_Sfx__Scrn_Glitch_Sad_Long                           = 3293965457
  Play__Robot_Sfx__Scrn_Glitch_Sad_Short                          = 3878465287
  Play__Robot_Sfx__Scrn_Glitch_Short                              = 1616916842
  Play__Robot_Sfx__Scrn_Go_To_Sleep                               = 2177539960
  Play__Robot_Sfx__Scrn_Happy                                     = 302804072
  Play__Robot_Sfx__Scrn_Happy_Long                                = 1961931745
  Play__Robot_Sfx__Scrn_Happy_Loop_Play                           = 2681596674
  Play__Robot_Sfx__Scrn_Happy_Short                               = 3678808343
  Play__Robot_Sfx__Scrn_Happy_Single                              = 1484658355
  Play__Robot_Sfx__Scrn_Look                                      = 3560778311
  Play__Robot_Sfx__Scrn_Sad                                       = 2370771958
  Play__Robot_Sfx__Scrn_Sad_Long                                  = 1620542011
  Play__Robot_Sfx__Scrn_Sad_Short                                 = 2584633397
  Play__Robot_Sfx__Scrn_Sad_Single                                = 775385813
  Play__Robot_Sfx__Scrn_Single                                    = 2203795650
  Play__Robot_Sfx__Scrn_Surprised                                 = 3774252557
  Play__Robot_Sfx__Scrn_Surprised_Long                            = 1923508322
  Play__Robot_Sfx__Scrn_Surprised_Short                           = 3952553918
  Play__Robot_Sfx__Scrn_Surprised_Single                          = 3984545916
  Play__Robot_Sfx__Spark_Launch                                   = 771536042
  Play__Robot_Sfx__Sparked_Workout_Break                          = 1558032299
  Play__Robot_Sfx__Sparked_Workout_Break_Loop                     = 2454903272
  Play__Robot_Sfx__Srv_Angry                                      = 1322826570
  Play__Robot_Sfx__Srv_Angry_Long                                 = 3491658847
  Play__Robot_Sfx__Srv_Angry_Loop_Play                            = 817116172
  Play__Robot_Sfx__Srv_Angry_Short                                = 3765708529
  Play__Robot_Sfx__Srv_Curious                                    = 1279900047
  Play__Robot_Sfx__Srv_Curious_Long                               = 3969150064
  Play__Robot_Sfx__Srv_Curious_Loop_Play                          = 3522657877
  Play__Robot_Sfx__Srv_Curious_Short                              = 974094096
  Play__Robot_Sfx__Srv_Happy                                      = 2128944011
  Play__Robot_Sfx__Srv_Happy_Long                                 = 2435936364
  Play__Robot_Sfx__Srv_Happy_Loop_Play                            = 1644950641
  Play__Robot_Sfx__Srv_Happy_Short                                = 105551732
  Play__Robot_Sfx__Srv_Sad                                        = 3613386685
  Play__Robot_Sfx__Srv_Sad_Long                                   = 25316626
  Play__Robot_Sfx__Srv_Sad_Short                                  = 3699079406
  Play__Robot_Sfx__Srv_Surprised                                  = 1907152766
  Play__Robot_Sfx__Srv_Surprised_Long                             = 3606017555
  Play__Robot_Sfx__Srv_Surprised_Short                            = 4054065165
  Play__Robot_Sfx__Wink                                           = 3564343056
  Play__Robot_Vo__Codelab_Animals_Chicken                         = 236752857
  Play__Robot_Vo__Codelab_Animals_Cow_1                           = 3829315205
  Play__Robot_Vo__Codelab_Animals_Cow_2                           = 3829315206
  Play__Robot_Vo__Codelab_Animals_Duck                            = 1848688327
  Play__Robot_Vo__Codelab_Animals_Elephant                        = 971875003
  Play__Robot_Vo__Codelab_Animals_Frog                            = 1800290694
  Play__Robot_Vo__Codelab_Animals_Rattle_Snake                    = 2978943571
  Play__Robot_Vo__Codelab_Animals_Rooster                         = 2350479588
  Play__Robot_Vo__Codelab_Animals_Sheep_1                         = 2383960197
  Play__Robot_Vo__Codelab_Animals_Sheep_2                         = 2383960198
  Play__Robot_Vo__Codelab_Conducting                              = 992526618
  Play__Robot_Vo__Codelab_Countdown_1                             = 2569312135
  Play__Robot_Vo__Codelab_Countdown_2                             = 2569312132
  Play__Robot_Vo__Codelab_Countdown_3                             = 2569312133
  Play__Robot_Vo__Codelab_Countdown_Go                            = 3852140140
  Play__Robot_Vo__Codelab_Firetruck                               = 3855902783
  Play__Robot_Vo__Codelab_Halloween_Frightened                    = 2445593112
  Play__Robot_Vo__Codelab_Halloween_Ghoul                         = 2348859489
  Play__Robot_Vo__Codelab_Halloween_Vampire                       = 878427920
  Play__Robot_Vo__Codelab_Halloween_Wolfman                       = 4256207922
  Play__Robot_Vo__Codelab_Halloween_Zombie_1                      = 2504617368
  Play__Robot_Vo__Codelab_Halloween_Zombie_2                      = 2504617371
  Play__Robot_Vo__Codelab_Kitchen_Helium_Curious                  = 1851018820
  Play__Robot_Vo__Codelab_Kitchen_Helium_Idea                     = 1262728875
  Play__Robot_Vo__Coz_Word_Cube_Neutral                           = 2117050142
  Play__Robot_Vo__Cozmo_Singing_100Bpm                            = 819632272
  Play__Robot_Vo__Cozmo_Singing_120Bpm                            = 3805821586
  Play__Robot_Vo__Cozmo_Singing_80Bpm                             = 3519620195
  Play__Robot_Vo__Dizzy_Hard_1                                    = 3080967599
  Play__Robot_Vo__Dizzy_Hard_2                                    = 3080967596
  Play__Robot_Vo__Dizzy_Loop_Play                                 = 777096763
  Play__Robot_Vo__Dizzy_React_Medium_02                           = 530263530
  Play__Robot_Vo__Dizzy_React_Soft                                = 2564162256
  Play__Robot_Vo__Dizzy_Shake_Stop                                = 2134240601
  Play__Robot_Vo__Dizzy_Shakeout                                  = 497722646
  Play__Robot_Vo__External_Acapela_English_Name                   = 3652484245
  Play__Robot_Vo__External_Acapela_English_Sentence               = 822109995
  Play__Robot_Vo__External_Cozmo_Processing                       = 3205213409
  Play__Robot_Vo__External_Cozmo_Processing_Question              = 3777359272
  Play__Robot_Vo__External_Unprocessed                            = 2742937278
  Play__Robot_Vo__Fist_Bump_Giggle                                = 1531806306
  Play__Robot_Vo__Gp_Cs_Cuss_Nope                                 = 3018392957
  Play__Robot_Vo__Gp_Cs_Cuss_React                                = 1772137818
  Play__Robot_Vo__Gp_Cs_Cuss_Squint                               = 141123577
  Play__Robot_Vo__Gp_Cs_Getout_Confused_P1                        = 2151470956
  Play__Robot_Vo__Gp_Cs_Getout_Confused_P2                        = 2151470959
  Play__Robot_Vo__Gp_Cs_Thinking_Long                             = 3183384229
  Play__Robot_Vo__Gp_Cs_Thinking_Long_Got_It                      = 726115194
  Play__Robot_Vo__Gp_Cs_Thinking_Medium                           = 448600270
  Play__Robot_Vo__Gp_Cs_Thinking_Medium_Got_It                    = 1735580995
  Play__Robot_Vo__Gp_Explorer_Backup_Beep                         = 1939604322
  Play__Robot_Vo__Gp_Explorer_Drive_Curious                       = 1093526092
  Play__Robot_Vo__Gp_Explorer_Drive_Start                         = 746725306
  Play__Robot_Vo__Gp_Explorer_Drive_Start_Turbo                   = 403916659
  Play__Robot_Vo__Gp_Explorer_Drive_Stop                          = 2294544082
  Play__Robot_Vo__Gp_Explorer_Getin                               = 821905486
  Play__Robot_Vo__Gp_Explorer_Shake_Out                           = 2327316800
  Play__Robot_Vo__Gp_Guard_Dog_Fail_Loop                          = 3786892977
  Play__Robot_Vo__Gp_Guard_Dog_Fakeout_1                          = 2183808353
  Play__Robot_Vo__Gp_Guard_Dog_Fakeout_2                          = 2183808354
  Play__Robot_Vo__Gp_Guard_Dog_Fakeout_3                          = 2183808355
  Play__Robot_Vo__Gp_Guard_Dog_Interrupt                          = 1612390421
  Play__Robot_Vo__Gp_Guard_Dog_Snore_Light_Exhale                 = 1770623604
  Play__Robot_Vo__Gp_Guard_Dog_Snore_Light_Inhale                 = 2553575382
  Play__Robot_Vo__Gp_Guard_Dog_Snore_Medium_Inhale                = 2589771301
  Play__Robot_Vo__Gp_Guard_Dog_Yawn                               = 2419377129
  Play__Robot_Vo__Gp_Keepaway_Fakeout_Pounce_Fast                 = 1992185148
  Play__Robot_Vo__Gp_Keepaway_Fakeout_Pounce_Scare                = 888370506
  Play__Robot_Vo__Gp_Keepaway_Fakeout_Sneaky_Start                = 2606311637
  Play__Robot_Vo__Gp_Keepaway_Get_In_Ready                        = 2743085071
  Play__Robot_Vo__Gp_Keepaway_Win_Dance                           = 4061224253
  Play__Robot_Vo__Gp_Mm_Pattern_Struggle_Focused                  = 624174194
  Play__Robot_Vo__Gp_Mm_Pattern_Struggle_Shocked                  = 3286982676
  Play__Robot_Vo__Gp_Mm_Pattern_Struggle_Um                       = 3700907145
  Play__Robot_Vo__Gp_Mm_Pattern_Taunt_Derr                        = 3651300059
  Play__Robot_Vo__Gp_Mm_Pattern_Turn_Big                          = 900238575
  Play__Robot_Vo__Gp_Mm_Pattern_Turn_Short                        = 928871515
  Play__Robot_Vo__Gp_Mm_Pattern_Win_Giggle                        = 1101765759
  Play__Robot_Vo__Gp_Mm_Pattern_Win_Laugh_Short                   = 2208086756
  Play__Robot_Vo__Gp_Peekaboo_Fail                                = 3318593152
  Play__Robot_Vo__Gp_Peekaboo_Peek                                = 1721362201
  Play__Robot_Vo__Gp_Peekaboo_Success                             = 2691636253
  Play__Robot_Vo__Gp_Peekaboo_Thrice_1                            = 3692253879
  Play__Robot_Vo__Gp_Peekaboo_Thrice_2                            = 3692253876
  Play__Robot_Vo__Gp_Peekaboo_Thrice_3                            = 3692253877
  Play__Robot_Vo__Gp_Qt_Tap_Effort                                = 2222654907
  Play__Robot_Vo__Gp_Shared_Fakeout                               = 543301532
  Play__Robot_Vo__Gp_Shared_Humph                                 = 2079303
  Play__Robot_Vo__Gp_Shared_Lose_Fit_Medium                       = 3218891970
  Play__Robot_Vo__Gp_Shared_Lose_Fit_Short                        = 876073127
  Play__Robot_Vo__Gp_Shared_Lose_Growl_Medium                     = 2046364900
  Play__Robot_Vo__Gp_Shared_Lose_Growl_Short                      = 3207916529
  Play__Robot_Vo__Gp_Shared_Lose_Growl_Short_01                   = 1671409981
  Play__Robot_Vo__Gp_Shared_Lose_Level_1                          = 420891483
  Play__Robot_Vo__Gp_Shared_Lose_Level_2                          = 420891480
  Play__Robot_Vo__Gp_Shared_Lose_Level_3                          = 420891481
  Play__Robot_Vo__Gp_Shared_Lose_Look_Up                          = 361519622
  Play__Robot_Vo__Gp_Shared_Lose_Look_Up_Surprised                = 2413162080
  Play__Robot_Vo__Gp_Shared_Lose_Surprised_Short                  = 291687249
  Play__Robot_Vo__Gp_Shared_Lose_Throw_Cube                       = 247758371
  Play__Robot_Vo__Gp_Shared_Win_Chachacha                         = 2184979880
  Play__Robot_Vo__Gp_Shared_Win_Laugh                             = 2763212437
  Play__Robot_Vo__Gp_Shared_Win_Level_1                           = 430910432
  Play__Robot_Vo__Gp_Shared_Win_Level_2                           = 430910435
  Play__Robot_Vo__Gp_Shared_Win_Level_3                           = 430910434
  Play__Robot_Vo__Gp_Shared_Win_Medium                            = 3810035423
  Play__Robot_Vo__Gp_Shared_Win_Short                             = 943980464
  Play__Robot_Vo__Gp_Shared_Win_Wow_Short                         = 771576844
  Play__Robot_Vo__Hiking_Hum_Happy                                = 1163200773
  Play__Robot_Vo__Hiking_Hum_Happy_Short                          = 3113369638
  Play__Robot_Vo__Meet_Cozmo_Got_It                               = 4040383078
  Play__Robot_Vo__Meet_Cozmo_Thinking                             = 1307500180
  Play__Robot_Vo__Nurture_Energy_Cube_Charged                     = 2970584318
  Play__Robot_Vo__Nurture_Energy_Cube_Charged_Down                = 192388393
  Play__Robot_Vo__Nurture_Energy_Cube_Shake                       = 12025276
  Play__Robot_Vo__Nurture_Energy_Cube_Shake_Short                 = 721786627
  Play__Robot_Vo__Nurture_Energy_Cube_Slurp_Long                  = 123719483
  Play__Robot_Vo__Nurture_Energy_Cube_Slurp_Short                 = 660576053
  Play__Robot_Vo__Nurture_Energy_Effort                           = 1571365350
  Play__Robot_Vo__Nurture_Energy_Relief                           = 996340039
  Play__Robot_Vo__Nurture_Energy_Sad_Long                         = 1723715257
  Play__Robot_Vo__Nurture_Energy_Sad_Short                        = 2241122639
  Play__Robot_Vo__Nurture_Energy_Severe_Stop                      = 2843691623
  Play__Robot_Vo__Nurture_Energy_Tired                            = 2276804470
  Play__Robot_Vo__Nurture_Energy_Tired_Loop                       = 3556451871
  Play__Robot_Vo__Nurture_Energy_Wakeup                           = 1950409291
  Play__Robot_Vo__Nurture_Play_Concern_Short                      = 4217319781
  Play__Robot_Vo__Nurture_Play_Drive                              = 460388526
  Play__Robot_Vo__Nurture_Play_Getout                             = 2797106178
  Play__Robot_Vo__Nurture_Play_Pouty                              = 1845501759
  Play__Robot_Vo__Nurture_Repair_Complete                         = 2366089672
  Play__Robot_Vo__Nurture_Repair_Complete_Curious                 = 3461416271
  Play__Robot_Vo__Nurture_Repair_Down                             = 4222762077
  Play__Robot_Vo__Nurture_Repair_Down_Severe                      = 1553453500
  Play__Robot_Vo__Nurture_Repair_Fix_Round_Severe                 = 1492901078
  Play__Robot_Vo__Nurture_Repair_Fix_Round_Severe_Curious         = 1772402345
  Play__Robot_Vo__Nurture_Repair_Jolt_Medium                      = 3545035822
  Play__Robot_Vo__Nurture_Repair_Jolt_Small                       = 1583427256
  Play__Robot_Vo__Nurture_Repair_Severe_Sad_Small                 = 229901416
  Play__Robot_Vo__Nurture_Repair_Severe_Start                     = 3078732004
  Play__Robot_Vo__Nurture_Repair_Up                               = 647697450
  Play__Robot_Vo__Nurture_Repair_Up_Severe                        = 1480383213
  Play__Robot_Vo__Nurture_Repiar_Fix_Round_Severe_Hopeful         = 3728668920
  Play__Robot_Vo__Onboarding_Cube_Lift_First                      = 1219220413
  Play__Robot_Vo__Onboarding_Cube_Lifted_React                    = 1564490581
  Play__Robot_Vo__Onboarding_Cube_Lifted_React_Taka               = 3320332885
  Play__Robot_Vo__Onboarding_Cube_Lifted_React_Whoa               = 124760265
  Play__Robot_Vo__Onboarding_Cube_Lifted_React_Woohoo             = 2259447157
  Play__Robot_Vo__Onboarding_Cube_Set_Celebrate                   = 1518322125
  Play__Robot_Vo__Onboarding_Cube_Set_First                       = 2694671152
  Play__Robot_Vo__Onboarding_Cube_Set_Wow                         = 3560671663
  Play__Robot_Vo__Onboarding_Curious_Huh                          = 555367759
  Play__Robot_Vo__Onboarding_Curious_Look_Around                  = 3020031119
  Play__Robot_Vo__Onboarding_Curious_Look_Up                      = 2784611827
  Play__Robot_Vo__Onboarding_Eyes_Open                            = 1462474442
  Play__Robot_Vo__Onboarding_Happy                                = 142998609
  Play__Robot_Vo__Onboarding_See_Cube_First                       = 3651618653
  Play__Robot_Vo__Onboarding_See_Face_First                       = 3734844721
  Play__Robot_Vo__Pet_Detection_Bark                              = 3056349377
  Play__Robot_Vo__Pet_Detection_Cat_Meow                          = 629947316
  Play__Robot_Vo__Pet_Detection_Growl                             = 2361443718
  Play__Robot_Vo__Pet_Detection_Howl                              = 1083767857
  Play__Robot_Vo__Pet_Detection_Roar                              = 4176723711
  Play__Robot_Vo__Pet_Detection_Roar_End                          = 4112591521
  Play__Robot_Vo__Pet_Detection_Sneeze                            = 501972637
  Play__Robot_Vo__Pet_Detection_Sneeze_Shake                      = 593425994
  Play__Robot_Vo__Placeholder                                     = 668634652
  Play__Robot_Vo__Pyramid_Giggle                                  = 3515365849
  Play__Robot_Vo__Qa_Effort_Lift_Heavy                            = 1250202556
  Play__Robot_Vo__Qa_Gp_Peekaboo_Thrice_3                         = 3016311342
  Play__Robot_Vo__Qa_Pet_Detection_Dog_Howl                       = 916426147
  Play__Robot_Vo__Qa_React_Cliff                                  = 1310471692
  Play__Robot_Vo__Qa_React_Pickup_Angry_2                         = 188399711
  Play__Robot_Vo__Qa_React_Stuck_Turtle_Roll_Fail_3               = 3867399020
  Play__Robot_Vo__Qa_React_Wheely_Spin                            = 4043328071
  Play__Robot_Vo__Qa_Shared_Angry                                 = 3062870207
  Play__Robot_Vo__Qa_Shared_Hiccup_Big                            = 760592175
  Play__Robot_Vo__React_3_Cube_Topple_P1                          = 3537517197
  Play__Robot_Vo__React_3_Cube_Topple_P2                          = 3537517198
  Play__Robot_Vo__React_Cliff                                     = 3202816225
  Play__Robot_Vo__React_Face_Suspicious                           = 3698170420
  Play__Robot_Vo__React_Pickup                                    = 2638083869
  Play__Robot_Vo__React_Pickup_Angry_P1                           = 703918427
  Play__Robot_Vo__React_Pickup_Angry_P2                           = 703918424
  Play__Robot_Vo__React_Stuck_Angry_P1                            = 1511466269
  Play__Robot_Vo__React_Stuck_Angry_P2                            = 1511466270
  Play__Robot_Vo__React_Stuck_Turtle_Roll_Fail_P1                 = 3446648261
  Play__Robot_Vo__React_Stuck_Turtle_Roll_Fail_P2                 = 3446648262
  Play__Robot_Vo__React_Stuck_Turtle_Roll_Fail_P3                 = 3446648263
  Play__Robot_Vo__React_Stuck_Turtle_Roll_Ninja                   = 180669663
  Play__Robot_Vo__React_Stuck_Turtle_Roll_Zen                     = 1764781296
  Play__Robot_Vo__React_Wheely_Spin                               = 1957283066
  Play__Robot_Vo__Shared_Align_Grunt                              = 254819395
  Play__Robot_Vo__Shared_Angry                                    = 1580670828
  Play__Robot_Vo__Shared_Angry_Muttering_Loop_Play                = 3743522050
  Play__Robot_Vo__Shared_Angry_Short                              = 622779059
  Play__Robot_Vo__Shared_Awe                                      = 4199618846
  Play__Robot_Vo__Shared_Bored_Look_Side                          = 751598833
  Play__Robot_Vo__Shared_Bored_Look_Up                            = 2589648919
  Play__Robot_Vo__Shared_Bored_Sigh_Long                          = 412109486
  Play__Robot_Vo__Shared_Bored_Sigh_Short                         = 2741090610
  Play__Robot_Vo__Shared_Celebrate_Spin                           = 2159643843
  Play__Robot_Vo__Shared_Curious                                  = 3556785413
  Play__Robot_Vo__Shared_Curious_Mutter                           = 2721235403
  Play__Robot_Vo__Shared_Curious_Short                            = 4047754278
  Play__Robot_Vo__Shared_Disappointed_Short                       = 327662522
  Play__Robot_Vo__Shared_Effort_Lift                              = 3824979789
  Play__Robot_Vo__Shared_Effort_Lift_Heavy                        = 3398455981
  Play__Robot_Vo__Shared_Effort_Pounce                            = 3727241044
  Play__Robot_Vo__Shared_Effort_Pounce_Heavy                      = 738969844
  Play__Robot_Vo__Shared_Effort_Set                               = 1467890010
  Play__Robot_Vo__Shared_Effort_Set_Heavy                         = 606158106
  Play__Robot_Vo__Shared_Effort_Short                             = 3200991712
  Play__Robot_Vo__Shared_Excited                                  = 2884456673
  Play__Robot_Vo__Shared_Excited_Loop_Play                        = 2679819871
  Play__Robot_Vo__Shared_Fall_Asleep                              = 3524061431
  Play__Robot_Vo__Shared_Fall_Cliff_Scream                        = 3144703383
  Play__Robot_Vo__Shared_Frantic_Muttering_Loop_Play              = 3451388870
  Play__Robot_Vo__Shared_Frustrated_Low                           = 1701937252
  Play__Robot_Vo__Shared_Fussy                                    = 3400453885
  Play__Robot_Vo__Shared_Fussy_Loop_Play                          = 756640443
  Play__Robot_Vo__Shared_Fussy_Short                              = 297407534
  Play__Robot_Vo__Shared_Giggle_Happy_Loop_Play                   = 1488458019
  Play__Robot_Vo__Shared_Giggle_Short                             = 3928693597
  Play__Robot_Vo__Shared_Happy                                    = 3531557633
  Play__Robot_Vo__Shared_Happy_Long                               = 174359366
  Play__Robot_Vo__Shared_Happy_Loop_Play                          = 3025145855
  Play__Robot_Vo__Shared_Happy_Short                              = 1066816362
  Play__Robot_Vo__Shared_Hiccup                                   = 2997626993
  Play__Robot_Vo__Shared_Hiccup_Big                               = 499154038
  Play__Robot_Vo__Shared_Hiccup_Relief                            = 2188209935
  Play__Robot_Vo__Shared_Idea                                     = 2993967144
  Play__Robot_Vo__Shared_Idea_Loop_Play                           = 1684239554
  Play__Robot_Vo__Shared_Idea_Short                               = 1143549143
  Play__Robot_Vo__Shared_Inhale                                   = 237432456
  Play__Robot_Vo__Shared_Inhale_Breath_Medium                     = 2492717357
  Play__Robot_Vo__Shared_Interested                               = 1609212516
  Play__Robot_Vo__Shared_Interested_Long                          = 3957181661
  Play__Robot_Vo__Shared_Pain                                     = 3089977461
  Play__Robot_Vo__Shared_Pounce_02                                = 288653932
  Play__Robot_Vo__Shared_Pounce_03                                = 288653933
  Play__Robot_Vo__Shared_Pounce_04                                = 288653930
  Play__Robot_Vo__Shared_Pounce_Fail                              = 4228327806
  Play__Robot_Vo__Shared_Raspberry                                = 717035989
  Play__Robot_Vo__Shared_React_Face                               = 60844582
  Play__Robot_Vo__Shared_Sad                                      = 69470719
  Play__Robot_Vo__Shared_Sad_Long                                 = 2147481440
  Play__Robot_Vo__Shared_Snobby                                   = 2457314414
  Play__Robot_Vo__Shared_Snore                                    = 654990394
  Play__Robot_Vo__Shared_Snore_Short                              = 2130053793
  Play__Robot_Vo__Shared_Squint                                   = 2057205297
  Play__Robot_Vo__Shared_Surprised                                = 2054953516
  Play__Robot_Vo__Shared_Surprised_Short                          = 1145334899
  Play__Robot_Vo__Shared_Suspicious                               = 844374444
  Play__Robot_Vo__Shared_Suspicious_Short                         = 35665907
  Play__Robot_Vo__Shared_Take_Damage_Light                        = 3078492749
  Play__Robot_Vo__Shared_Thinking_Short                           = 3456819050
  Play__Robot_Vo__Shared_Upgrade_Curious                          = 2081938528
  Play__Robot_Vo__Shared_Upgrade_Impressed                        = 1733627270
  Play__Robot_Vo__Shared_Upgrade_Surprised                        = 954550705
  Play__Robot_Vo__Shared_Wake_Up_1                                = 67470331
  Play__Robot_Vo__Shared_Wake_Up_2                                = 67470328
  Play__Robot_Vo__Shared_Wake_Up_3                                = 67470329
  Play__Robot_Vo__Shared_Wake_Up_4                                = 67470334
  Play__Robot_Vo__Shared_Wake_Up_P1                               = 246308351
  Play__Robot_Vo__Shared_Wake_Up_P2                               = 246308348
  Play__Robot_Vo__Shared_Wake_Up_Snort                            = 781027234
  Play__Robot_Vo__Sing_Codelab                                    = 2407265109
  Play__Robot_Vo__Sing_Codelab_Loop_Play                          = 4076236483
  Play__Robot_Vo__Sing_Getin_02_1                                 = 2001087969
  Play__Robot_Vo__Sing_Getin_02_2                                 = 2001087970
  Play__Robot_Vo__Sing_Getin_03_1                                 = 927173192
  Play__Robot_Vo__Sing_Getin_03_2                                 = 927173195
  Play__Robot_Vo__Singing_120Bpm_A2_Half                          = 2665736631
  Play__Robot_Vo__Singing_120Bpm_A2_Quarter                       = 2634308432
  Play__Robot_Vo__Singing_120Bpm_A2_Three_Quarter                 = 2212916817
  Play__Robot_Vo__Singing_120Bpm_A2_Whole                         = 2216339925
  Play__Robot_Vo__Singing_120Bpm_Asharp2_Half                     = 4260156573
  Play__Robot_Vo__Singing_120Bpm_Asharp2_Quarter                  = 3189064462
  Play__Robot_Vo__Singing_120Bpm_Asharp2_Three_Quarter            = 2049764023
  Play__Robot_Vo__Singing_120Bpm_Asharp2_Whole                    = 1295408315
  Play__Robot_Vo__Singing_120Bpm_B2_Half                          = 1846165312
  Play__Robot_Vo__Singing_120Bpm_B2_Quarter                       = 1155373617
  Play__Robot_Vo__Singing_120Bpm_B2_Three_Quarter                 = 515947228
  Play__Robot_Vo__Singing_120Bpm_B2_Whole                         = 1473583720
  Play__Robot_Vo__Singing_120Bpm_C2_Half                          = 4074344917
  Play__Robot_Vo__Singing_120Bpm_C2_Quarter                       = 2490853526
  Play__Robot_Vo__Singing_120Bpm_C2_Three_Quarter                 = 2348706079
  Play__Robot_Vo__Singing_120Bpm_C2_Whole                         = 2390914099
  Play__Robot_Vo__Singing_120Bpm_C3_Half                          = 2878060138
  Play__Robot_Vo__Singing_120Bpm_C3_Quarter                       = 713547595
  Play__Robot_Vo__Singing_120Bpm_C3_Three_Quarter                 = 3768619574
  Play__Robot_Vo__Singing_120Bpm_C3_Whole                         = 2860974482
  Play__Robot_Vo__Singing_120Bpm_Csharp2_Half                     = 2435220247
  Play__Robot_Vo__Singing_120Bpm_Csharp2_Quarter                  = 1936195120
  Play__Robot_Vo__Singing_120Bpm_Csharp2_Three_Quarter            = 2177169393
  Play__Robot_Vo__Singing_120Bpm_Csharp2_Whole                    = 1123266229
  Play__Robot_Vo__Singing_120Bpm_Csharp3_Half                     = 3304927372
  Play__Robot_Vo__Singing_120Bpm_Csharp3_Quarter                  = 1380619549
  Play__Robot_Vo__Singing_120Bpm_Csharp3_Three_Quarter            = 1231309480
  Play__Robot_Vo__Singing_120Bpm_Csharp3_Whole                    = 1828406652
  Play__Robot_Vo__Singing_120Bpm_D2_Half                          = 790464094
  Play__Robot_Vo__Singing_120Bpm_D2_Quarter                       = 2249637967
  Play__Robot_Vo__Singing_120Bpm_D2_Three_Quarter                 = 1960999562
  Play__Robot_Vo__Singing_120Bpm_D2_Whole                         = 1425626494
  Play__Robot_Vo__Singing_120Bpm_Dsharp2_Half                     = 3217516202
  Play__Robot_Vo__Singing_120Bpm_Dsharp2_Quarter                  = 1810914955
  Play__Robot_Vo__Singing_120Bpm_Dsharp2_Three_Quarter            = 1128139894
  Play__Robot_Vo__Singing_120Bpm_Dsharp2_Whole                    = 3762694098
  Play__Robot_Vo__Singing_120Bpm_E2_Half                          = 3403380483
  Play__Robot_Vo__Singing_120Bpm_E2_Quarter                       = 4085655852
  Play__Robot_Vo__Singing_120Bpm_E2_Three_Quarter                 = 1546249469
  Play__Robot_Vo__Singing_120Bpm_E2_Whole                         = 2291045865
  Play__Robot_Vo__Singing_120Bpm_F2_Half                          = 3436445324
  Play__Robot_Vo__Singing_120Bpm_F2_Quarter                       = 3829591837
  Play__Robot_Vo__Singing_120Bpm_F2_Three_Quarter                 = 3301561512
  Play__Robot_Vo__Singing_120Bpm_F2_Whole                         = 3290533756
  Play__Robot_Vo__Singing_120Bpm_Fsharp2_Half                     = 4055311404
  Play__Robot_Vo__Singing_120Bpm_Fsharp2_Quarter                  = 3947831357
  Play__Robot_Vo__Singing_120Bpm_Fsharp2_Three_Quarter            = 3607894536
  Play__Robot_Vo__Singing_120Bpm_Fsharp2_Whole                    = 1550390428
  Play__Robot_Vo__Singing_120Bpm_G2_Half                          = 4207858993
  Play__Robot_Vo__Singing_120Bpm_G2_Quarter                       = 2285669346
  Play__Robot_Vo__Singing_120Bpm_G2_Three_Quarter                 = 3421034731
  Play__Robot_Vo__Singing_120Bpm_G2_Whole                         = 171133111
  Play__Robot_Vo__Singing_120Bpm_Gsharp2_Half                     = 1795554027
  Play__Robot_Vo__Singing_120Bpm_Gsharp2_Quarter                  = 999336708
  Play__Robot_Vo__Singing_120Bpm_Gsharp2_Three_Quarter            = 2045107285
  Play__Robot_Vo__Singing_120Bpm_Gsharp2_Whole                    = 3171659505
  Play__Robot_Vo__Singing_120Bpm_Rest_Half                        = 2231336058
  Play__Robot_Vo__Singing_120Bpm_Rest_Quarter                     = 2847906843
  Play__Robot_Vo__Singing_120Bpm_Rest_Three_Quarter               = 902005286
  Play__Robot_Vo__Singing_120Bpm_Rest_Whole                       = 2337687778
  Play__Robot_Vo__Singing_Alle_Meine_Entchen                      = 804186022
  Play__Robot_Vo__Singing_Beethovens_5Th                          = 3795010874
  Play__Robot_Vo__Singing_Camptown                                = 2922615820
  Play__Robot_Vo__Singing_Getin_1                                 = 2007174956
  Play__Robot_Vo__Singing_Getin_2                                 = 2007174959
  Play__Robot_Vo__Singing_Getin_3                                 = 2007174958
  Play__Robot_Vo__Singing_Happy_Birthday                          = 2259770973
  Play__Robot_Vo__Singing_Itsy_Bisty_Spider                       = 1216523470
  Play__Robot_Vo__Singing_Mary_Little_Lamb                        = 3827215192
  Play__Robot_Vo__Singing_Ode_To_Joy                              = 3332514350
  Play__Robot_Vo__Singing_Oh_My_Darlin                            = 2720242428
  Play__Robot_Vo__Singing_Pachebel_Canon                          = 2716245049
  Play__Robot_Vo__Singing_Pop_Goes_The_Weasel                     = 1694352783
  Play__Robot_Vo__Singing_Row_Your_Boat                           = 822436830
  Play__Robot_Vo__Singing_Take_Me_Out_Ballgame                    = 2051975060
  Play__Robot_Vo__Singing_Teapot                                  = 178156572
  Play__Robot_Vo__Singing_Twinkle                                 = 2014444941
  Play__Robot_Vo__Singing_William_Tell                            = 1292245236
  Play__Robot_Vo__Singing_Yankee_Doodle                           = 1845183010
  Play__Robot_Vo__Sparked_Driving                                 = 3606845375
  Play__Robot_Vo__Sparked_Driving_Look                            = 2670470879
  Play__Robot_Vo__Sparked_Driving_Start                           = 1233493330
  Play__Robot_Vo__Sparked_Fail                                    = 2861844754
  Play__Robot_Vo__Sparked_Out                                     = 2452343422
  Play__Robot_Vo__Sparked_Pyramid_Complete                        = 1438874844
  Play__Robot_Vo__Sparked_Ready_To_Go                             = 4268262662
  Play__Robot_Vo__Sparked_Succeed                                 = 4231360462
  Play__Robot_Vo__Sparked_Succeed_Tada                            = 2693760973
  Play__Robot_Vo__Sparked_Surprise                                = 3822640315
  Play__Robot_Vo__Sparked_Workout_Break_Lift_Pain                 = 492094136
  Play__Robot_Vo__Sparked_Workout_Break_Lift_Startled             = 1138165379
  Play__Robot_Vo__Sparked_Workout_Break_Lift_Struggle             = 9918389
  Play__Robot_Vo__Sparked_Workout_Lift_Fail                       = 1101180372
  Play__Robot_Vo__Sparked_Workout_Lift_Fail_Struggle              = 835476802
  Play__Robot_Vo__Sparked_Workout_Lift_Fail_Struggle_Long         = 1462283623
  Play__Robot_Vo__Sparked_Workout_Lift_Fail_Struggle_Longest      = 2885068477
  Play__Robot_Vo__Sparked_Workout_Lift_Fail_Tired                 = 3312564867
  Play__Robot_Vo__Sparked_Workout_Lift_Success_Showoff            = 2247677502
  Play__Robot_Vo__Sparked_Workout_Lift_Success_Strong             = 1844409553
  Play__Robot_Vo__Sparked_Workout_Lift_Success_Throw_Block        = 3296787010
  Play__Robot_Vo__Sparked_Workout_Lift_Success_Weak               = 2216609612
  Play__Robot_Vo__Test_English_Nathan                             = 1093959669
  Play__Robot_Vo__Test_French_Thomas                              = 675768851
  Play__Robot_Vo__Test_German_Markus                              = 839828754
  Play__Robot_Vo__Test_German_Yannick                             = 440564342
  Play__Robot_Vo__Test_Japanese_Daisuke                           = 649271426
  Play__Robot_Vo__Test_Japanese_Ichiro                            = 3160185928
  Play__Robot_Vo__Word_Cat                                        = 743962600
  Play__Robot_Vo__Word_Cube_Happy                                 = 1400293052
  Play__Robot_Vo__Word_Cube_Neutral                               = 740915407
  Play__Robot_Vo__Word_Cube_Request                               = 3660085349
  Play__Robot_Vo__Word_Cube_Sad                                   = 3995541618
  Play__Robot_Vo__Word_Dog                                        = 843495306
  Play__Robot_Vo__Word_Energy_Request_Level_1                     = 3962217785
  Play__Robot_Vo__Word_Energy_Request_Level_2                     = 3962217786
  Play__Robot_Vo__Word_Energy_Shake_Cube                          = 3630074233
  Play__Robot_Vo__Word_Fist_Bump                                  = 1089575137
  Play__Robot_Vo__Word_Fist_Bump_Request                          = 3296388559
  Play__Robot_Vo__Word_Keepaway_Excited                           = 3097808214
  Play__Robot_Vo__Word_Keepaway_Request                           = 3460255911
  Play__Robot_Vo__Word_Keepaway_Sad                               = 2098273712
  Play__Robot_Vo__Word_Memory_Match_Happy                         = 2694835404
  Play__Robot_Vo__Word_Memory_Match_Request                       = 4090420021
  Play__Robot_Vo__Word_Memory_Match_Sad                           = 1881407426
  Play__Robot_Vo__Word_Peekaboo_Level_1                           = 2687916921
  Play__Robot_Vo__Word_Peekaboo_Request                           = 4173776344
  Play__Robot_Vo__Word_Play_Level_1_Request                       = 2147550587
  Play__Robot_Vo__Word_Play_Level_1_Shout                         = 3890885607
  Play__Robot_Vo__Word_Play_Level_2                               = 583294374
  Play__Robot_Vo__Word_Quick_Tap                                  = 444948971
  Play__Robot_Vo__Word_Speedtap_Excited                           = 2751243663
  Play__Robot_Vo__Word_Speedtap_Request                           = 919083726
  Play__Sdk__Sfx_Cube_Connected                                   = 1348118290
  Play__Sdk__Sfx_Cube_Light                                       = 547519
  Play__Sdk__Sfx_Cube_Light_Blue                                  = 1471279738
  Play__Sdk__Sfx_Cube_Light_Red                                   = 1003135343
  Play__Sdk__Sfx_Cube_Light_Yellow                                = 2688904298
  Play__Sdk__Sfx_Game_End                                         = 3133966309
  Play__Sdk__Sfx_Game_Lose                                        = 338534481
  Play__Sdk__Sfx_Game_Win                                         = 3215000236
  Play__Sdk__Sfx_Round_End                                        = 1198938701
  Play__Sdk__Ui_Click                                             = 3333714278
  Play__Sdk__Ui_Device_Notification                               = 681875134
  Play__Sfx__Banner_Wipe                                          = 3247701492
  Play__Sfx__Code_Fragment_Collected                              = 2587766166
  Play__Sfx__Code_Fragment_Released                               = 1918333736
  Play__Sfx__Cube_Feeding_Down                                    = 2378985973
  Play__Sfx__Cube_Feeding_Loop_Play                               = 3618620556
  Play__Sfx__Cube_Feeding_Success                                 = 3991319706
  Play__Sfx__Cube_Feeding_Up                                      = 1378697730
  Play__Sfx__Daily_Goal                                           = 3010549659
  Play__Sfx__Daily_Reward_Calendar_Disappear                      = 2897417442
  Play__Sfx__Daily_Reward_Collect                                 = 878067460
  Play__Sfx__Daily_Reward_Disappear                               = 2538266513
  Play__Sfx__Daily_Reward_Goal_Collect                            = 2962215520
  Play__Sfx__Daily_Reward_Open                                    = 1796529350
  Play__Sfx__Daily_Reward_Status                                  = 2202351196
  Play__Sfx__Emotion_Chip_Charged_Start                           = 2709491700
  Play__Sfx__Emotion_Chip_Charged_Tap                             = 53415191
  Play__Sfx__Game_End                                             = 3871304392
  Play__Sfx__Game_Start                                           = 126137843
  Play__Sfx__Gp_Explorer_Night_Vision_Off                         = 132505315
  Play__Sfx__Gp_Explorer_Night_Vision_On                          = 4183101071
  Play__Sfx__Gp_Mm_Light_Blue                                     = 944508478
  Play__Sfx__Gp_Mm_Light_Red                                      = 153648099
  Play__Sfx__Gp_Mm_Light_Yellow                                   = 771679342
  Play__Sfx__Gp_Mm_Pattern_Start                                  = 2601428284
  Play__Sfx__Gp_Shared_Block_Connect                              = 3790068130
  Play__Sfx__Gp_Shared_Game_End                                   = 2218318430
  Play__Sfx__Gp_Shared_Request_Game                               = 1936634046
  Play__Sfx__Gp_Shared_Round_End                                  = 3799430148
  Play__Sfx__Gp_St_Cube_Cozmo_Tap                                 = 2843679148
  Play__Sfx__Gp_St_Lightup                                        = 231361703
  Play__Sfx__Gp_St_Lose                                           = 4278097031
  Play__Sfx__Gp_St_Tap_Red                                        = 600994811
  Play__Sfx__Gp_St_Win                                            = 2704467806
  Play__Sfx__Nurture_Background_Appear_Onboarding                 = 262762452
  Play__Sfx__Nurture_Earn_Bonus_Box                               = 2011411516
  Play__Sfx__Nurture_Earn_Play_Token                              = 682797893
  Play__Sfx__Nurture_Earn_Token                                   = 2096533448
  Play__Sfx__Nurture_Meter_Appear                                 = 2123372857
  Play__Sfx__Nurture_Meter_Appear_Onboarding                      = 2779592687
  Play__Sfx__Nurture_Meter_Down                                   = 3230535882
  Play__Sfx__Nurture_Meter_Down_Connected                         = 2210253730
  Play__Sfx__Nurture_Meter_Full                                   = 4064083045
  Play__Sfx__Nurture_Meter_Severe_Start                           = 3001551979
  Play__Sfx__Nurture_Meter_Up                                     = 1865902409
  Play__Sfx__Nurture_Meter_Up_Disconnected                        = 3142067853
  Play__Sfx__Nurture_Popup                                        = 3135833018
  Play__Sfx__Onboarding_Test_Tone                                 = 1823946677
  Play__Sfx__Placeholder                                          = 3278074531
  Play__Sfx__Relationship_Gain                                    = 1770649520
  Play__Sfx__Relationship_Gain_Collect                            = 447401587
  Play__Sfx__Repair_Calibrate                                     = 1047777997
  Play__Sfx__Repair_Level_Success                                 = 3944925464
  Play__Sfx__Repair_Pattern_Complete                              = 1670593078
  Play__Sfx__Repair_Pattern_Down                                  = 3820109879
  Play__Sfx__Repair_Pattern_Error                                 = 2689322891
  Play__Sfx__Repair_Pattern_Up                                    = 4229457120
  Play__Sfx__Repair_Scan                                          = 2465239373
  Play__Sfx__Repair_Scan_Complete                                 = 649332933
  Play__Sfx__Repair_Success_Complete                              = 3969829927
  Play__Sfx__Repair_Success_Round                                 = 1470861090
  Play__Sfx__Repair_Tap_Arrow                                     = 821377663
  Play__Sfx__Spark_Gain                                           = 2596085903
  Play__Sfx__Spark_Launch                                         = 38276463
  Play__Sfx__Spark_Success                                        = 3587224415
  Play__Ui__Attention_Device                                      = 796149778
  Play__Ui__Click_Back                                            = 3218349115
  Play__Ui__Click_General                                         = 902542
  Play__Ui__Cozmo_Connect                                         = 647774144
  Play__Ui__Cozmo_Connect_Fail                                    = 1743202231
  Play__Ui__Cozmo_Connect_Scan_Loop                               = 1356238993
  Play__Ui__Cozmo_Connect_Scan_Loop_Stop                          = 698059508
  Play__Ui__Cozmo_Disconnect                                      = 2439191052
  Play__Ui__Cozmo_Error                                           = 3105114476
  Play__Ui__Cozmo_Upgrade                                         = 1233383102
  Play__Ui__Placeholder                                           = 1840201236
  Play__Ui__Window_Close                                          = 974187556
  Play__Ui__Window_Open                                           = 1763539616
  Play__Ui__Window_Vertical_Wipe                                  = 931790836
  Stop__Codelab__Music_Cube_Whack                                 = 3324716189
  Stop__Codelab__Music_Fun_Loop_Stop                              = 2123694542
  Stop__Codelab__Music_Global_Stop                                = 2512535841
  Stop__Codelab__Music_Hot_Potato_Level_1_Loop_Stop               = 2689778401
  Stop__Codelab__Music_Hot_Potato_Level_2_Loop_Stop               = 3058241090
  Stop__Codelab__Music_Hot_Potato_Level_3_Loop_Stop               = 2301371667
  Stop__Codelab__Music_Hot_Potato_Level_4_Loop_Stop               = 3129138908
  Stop__Codelab__Music_Magic8_Reveal_Stinger_Stop                 = 16687378
  Stop__Codelab__Music_Style_80S_1_159Bpm_Loop_Stop               = 1451276801
  Stop__Codelab__Music_Style_Disco_1_135Bpm_Loop_Stop             = 3069781320
  Stop__Codelab__Music_Style_Mambo_1_183Bpm_Loop_Stop             = 1709157641
  Stop__Codelab__Music_Tiny_Orchestra_Bass_01_Loop_Stop           = 1353021637
  Stop__Codelab__Music_Tiny_Orchestra_Bass_02_Loop_Stop           = 3636979286
  Stop__Codelab__Music_Tiny_Orchestra_Bass_03_Loop_Stop           = 1838210855
  Stop__Codelab__Music_Tiny_Orchestra_Bass_Mode_1_Stop            = 222737888
  Stop__Codelab__Music_Tiny_Orchestra_Bass_Mode_2_Stop            = 1587327405
  Stop__Codelab__Music_Tiny_Orchestra_Bass_Mode_3_Stop            = 1731643034
  Stop__Codelab__Music_Tiny_Orchestra_Bass_Stop                   = 1011028768
  Stop__Codelab__Music_Tiny_Orchestra_Glock_Pluck_01_Loop_Stop    = 1371551766
  Stop__Codelab__Music_Tiny_Orchestra_Glock_Pluck_02_Loop_Stop    = 1925511301
  Stop__Codelab__Music_Tiny_Orchestra_Glock_Pluck_03_Loop_Stop    = 2578133564
  Stop__Codelab__Music_Tiny_Orchestra_Glock_Pluck_Mode_1_Stop     = 1662844729
  Stop__Codelab__Music_Tiny_Orchestra_Glock_Pluck_Mode_2_Stop     = 2287415996
  Stop__Codelab__Music_Tiny_Orchestra_Glock_Pluck_Mode_3_Stop     = 3420658727
  Stop__Codelab__Music_Tiny_Orchestra_Glock_Pluck_Stop            = 3644877187
  Stop__Codelab__Music_Tiny_Orchestra_Stop                        = 4261649076
  Stop__Codelab__Music_Tiny_Orchestra_Strings_01_Loop_Stop        = 3051334784
  Stop__Codelab__Music_Tiny_Orchestra_Strings_02_Loop_Stop        = 3105309531
  Stop__Codelab__Music_Tiny_Orchestra_Strings_03_Loop_Stop        = 4031668042
  Stop__Codelab__Music_Tiny_Orchestra_Strings_Mode_1_Stop         = 2836526843
  Stop__Codelab__Music_Tiny_Orchestra_Strings_Mode_2_Stop         = 3381154170
  Stop__Codelab__Music_Tiny_Orchestra_Strings_Mode_3_Stop         = 2812380813
  Stop__Codelab__Music_Tiny_Orchestra_Strings_Stop                = 3805843413
  Stop__Codelab__Sfx_Alien_Invasion_Ufo_Stop                      = 2912905250
  Stop__Codelab__Sfx_Brick_Bash_Stop                              = 1455749214
  Stop__Codelab__Sfx_Constellation_Star_Stop                      = 579345806
  Stop__Codelab__Sfx_Cube_Light_Stop                              = 2096539976
  Stop__Codelab__Sfx_Egg_Decorating_Crack_Stop                    = 3818701437
  Stop__Codelab__Sfx_Fidget_Spinner_Loop_Stop                     = 2909245734
  Stop__Codelab__Sfx_Fidget_Spinner_Start_Stop                    = 2997419718
  Stop__Codelab__Sfx_Firetruck_Timer_End_Stop                     = 421166967
  Stop__Codelab__Sfx_Firetruck_Timer_Start_Stop                   = 494556302
  Stop__Codelab__Sfx_Flappy_Increase_Stop                         = 437871341
  Stop__Codelab__Sfx_Game_Lose_Stop                               = 347471374
  Stop__Codelab__Sfx_Game_Win_Stop                                = 1156077641
  Stop__Codelab__Sfx_Global_Stop                                  = 2451909313
  Stop__Codelab__Sfx_Hot_Potato_Cube_Charge_Stop                  = 3280818964
  Stop__Codelab__Sfx_Hot_Potato_Cube_Ready_Stop                   = 3293236253
  Stop__Codelab__Sfx_Hot_Potato_Pass_Stop                         = 2579746409
  Stop__Codelab__Sfx_Hot_Potato_Timer_End_Stop                    = 1930994181
  Stop__Codelab__Sfx_Magic8_Message_Reveal_Stop                   = 3951709903
  Stop__Codelab__Sfx_Magnet_Attract_Stop                          = 1573765534
  Stop__Codelab__Sfx_Magnet_Repel_Stop                            = 827939469
  Stop__Codelab__Sfx_Morse_Code_Dash_Stop                         = 4156175391
  Stop__Codelab__Sfx_Morse_Code_Dot_Stop                          = 850860868
  Stop__Codelab__Sfx_Morse_Code_Silent_Stop                       = 620507378
  Stop__Codelab__Sfx_Paddle_Ball_Bounce_Stop                      = 3192082383
  Stop__Codelab__Sfx_Pot_O_Gold_Blip_Level1_Stop                  = 970660780
  Stop__Codelab__Sfx_Pot_O_Gold_Blip_Level2_Stop                  = 3985940521
  Stop__Codelab__Sfx_Pot_O_Gold_Blip_Level3_Stop                  = 2482812534
  Stop__Codelab__Sfx_Putt_Hole_Success_Stop                       = 3048074246
  Stop__Codelab__Sfx_Shared_Countdown_Stop                        = 769770611
  Stop__Codelab__Sfx_Shared_Cube_Light_On_Stop                    = 3298580386
  Stop__Codelab__Sfx_Shared_Error_Stop                            = 63429898
  Stop__Codelab__Sfx_Shared_Success_Stop                          = 2158984211
  Stop__Codelab__Sfx_Shared_Timer_Click_Stop                      = 165689370
  Stop__Codelab__Sfx_Shared_Timer_End_Stop                        = 1219615815
  Stop__Codelab__Sfx_Shared_Timer_Warning_Stop                    = 3016301418
  Stop__Cue_World_Event__Cubes_Stacked                            = 1000549318
  Stop__Cue_World_Event__Lift_Cube                                = 3519020371
  Stop__Cue_World_Event__Request_Game                             = 87707182
  Stop__Music__Stop                                               = 148746486
  Stop__Robot_Sfx__Bpk_Blue_Loop_Stop                             = 3465206791
  Stop__Robot_Sfx__Bpk_Green_Loop_Stop                            = 1179892788
  Stop__Robot_Sfx__Bpk_Red_Loop_Stop                              = 1319205172
  Stop__Robot_Sfx__Bpk_White_Loop_Stop                            = 3518231466
  Stop__Robot_Sfx__Effort_Long_Stop                               = 809545185
  Stop__Robot_Sfx__Global_Sfx_Stop                                = 2933433041
  Stop__Robot_Sfx__Mvt_Tread_Backward_Loop_Stop                   = 1804693497
  Stop__Robot_Sfx__Mvt_Tread_Forward_Loop_Stop                    = 2726200329
  Stop__Robot_Sfx__Mvt_Tread_Spin_Loop_Stop                       = 3541928210
  Stop__Robot_Sfx__Nurture_Feeding_Severe_Slurp_1                 = 200619089
  Stop__Robot_Sfx__Nurture_Feeding_Severe_Slurp_2                 = 200619090
  Stop__Robot_Sfx__Nurture_Feeding_Slurp_1                        = 1468592372
  Stop__Robot_Sfx__Nurture_Feeding_Slurp_2                        = 1468592375
  Stop__Robot_Sfx__Nurture_Feeding_Slurp_3                        = 1468592374
  Stop__Robot_Sfx__Scan_Loop_Stop                                 = 3944269316
  Stop__Robot_Sfx__Scrn_Angry_Loop_Stop                           = 135679235
  Stop__Robot_Sfx__Scrn_Curious_Loop_Stop                         = 3150837778
  Stop__Robot_Sfx__Scrn_Happy_Loop_Stop                           = 3894707430
  Stop__Robot_Sfx__Sparked_Workout_Break_Loop_Stop                = 2283733205
  Stop__Robot_Sfx__Srv_Angry_Loop_Stop                            = 3852925444
  Stop__Robot_Sfx__Srv_Curious_Loop_Stop                          = 157449021
  Stop__Robot_Sfx__Srv_Happy_Loop_Stop                            = 1264167769
  Stop__Robot_Vo__Cozmo_Singing_Stop                              = 3704466058
  Stop__Robot_Vo__Dizzy_Loop_Stop                                 = 1227825367
  Stop__Robot_Vo__Global_Vo_Stop                                  = 4099382591
  Stop__Robot_Vo__Gp_Guard_Dog_Fail_Loop                          = 2820253451
  Stop__Robot_Vo__Nurture_Energy_Tired_Loop                       = 3588842637
  Stop__Robot_Vo__Shared_Angry_Muttering_Loop_Stop                = 3111285294
  Stop__Robot_Vo__Shared_Excited_Loop_Stop                        = 1864261839
  Stop__Robot_Vo__Shared_Frantic_Muttering_Loop_Stop              = 141017286
  Stop__Robot_Vo__Shared_Fussy_Loop_Stop                          = 3912485995
  Stop__Robot_Vo__Shared_Giggle_Happy_Loop_Stop                   = 3962033227
  Stop__Robot_Vo__Shared_Happy_Loop_Stop                          = 4286366971
  Stop__Robot_Vo__Shared_Idea_Loop_Stop                           = 273762158
  Stop__Robot_Vo__Sparked_Workout_Lift_Fail_Struggle_Longest_Stop = 1084850966
  Stop__Sfx__Cube_Feeding_Loop_Stop                               = 3890113136
  Stop__Sfx__Repair_Scan_Stop                                     = 1631036014

Anki.AudioMetaData.GameEvent.GenericEvent = GenericEvent
del GenericEvent


class Music(object):
  "Automatically-generated uint_32 enumeration."
  Invalid = 0
  Play    = 2748524418
  Stop    = 148746486

Anki.AudioMetaData.GameEvent.Music = Music
del Music


class Robot_Sfx(object):
  "Automatically-generated uint_32 enumeration."
  Arcade_Bouncer_Bounce            = 2333331537
  Arcade_Bouncer_Bounce_Paddle     = 1207847204
  Arcade_Bouncer_Fail              = 999041549
  Bored_Brickout                   = 4013569785
  Bored_Pendulum                   = 62303530
  Bored_Slot                       = 3905586496
  Bpk_Blue_Loop_Play               = 4211412779
  Bpk_Blue_Loop_Stop               = 3465206791
  Bpk_Green_Loop_Play              = 1352654968
  Bpk_Green_Loop_Stop              = 1179892788
  Bpk_Red_Loop_Play                = 2658520760
  Bpk_Red_Loop_Stop                = 1319205172
  Bpk_White_Loop_Play              = 118136366
  Bpk_White_Loop_Stop              = 3518231466
  Cube_Energy_Transfer             = 2633747393
  Dog_Siren                        = 2814310779
  Effort_Fail                      = 3308460754
  Effort_Long                      = 668351040
  Effort_Long_Stop                 = 809545185
  Effort_Medium                    = 3696071919
  Fist_Bump                        = 1216170354
  Global_Sfx_Stop                  = 2933433041
  Guard_Dog_Fail                   = 2830692182
  Invalid                          = 0
  Mvt_Tread_Backward_Loop_Play     = 2180021393
  Mvt_Tread_Backward_Loop_Stop     = 1804693497
  Mvt_Tread_Backward_Start         = 2613090854
  Mvt_Tread_Backward_Stop          = 1888692326
  Mvt_Tread_Forward_Loop_Play      = 1822774717
  Mvt_Tread_Forward_Loop_Stop      = 2726200329
  Mvt_Tread_Forward_Start          = 2652548234
  Mvt_Tread_Forward_Stop           = 3470930658
  Mvt_Tread_Spin_Loop_Play         = 1721811722
  Mvt_Tread_Spin_Loop_Stop         = 3541928210
  Mvt_Tread_Spin_Start             = 952401069
  Mvt_Tread_Spin_Stop              = 2338140655
  Nurture_Feeding_Severe_Slurp_1   = 200619089
  Nurture_Feeding_Severe_Slurp_2   = 200619090
  Nurture_Feeding_Slurp_1          = 1468592372
  Nurture_Feeding_Slurp_2          = 1468592375
  Nurture_Feeding_Slurp_3          = 1468592374
  Nurture_Feeding_Slurp_End        = 724172172
  Nurture_Feeding_Slurp_Fail       = 321678609
  Nurture_Feeding_Slurp_Severe_End = 2493765627
  Onboarding_Power_On              = 3840096848
  Purr_Test_01                     = 3486629323
  Purr_Test_02                     = 3486629320
  Purr_Test_03                     = 3486629321
  Purr_Test_04                     = 3486629326
  Purr_Test_05                     = 3486629327
  Purr_Test_06                     = 3486629324
  Qa_Scrn_Angry_Long               = 456773531
  Qa_Scrn_Sad_Long                 = 2927747014
  Qa_Scrn_Surprised_Long           = 1297306135
  Repair_Calibrate                 = 2827992012
  Scan_Loop_Play                   = 866674656
  Scan_Loop_Stop                   = 3944269316
  Scan_Single                      = 3220792573
  Scan_Start                       = 3872572455
  Scan_Stop                        = 2639724621
  Scan_Stop_Bell                   = 2818178987
  Scrn_Angry                       = 2974471057
  Scrn_Angry_Long                  = 3501460118
  Scrn_Angry_Loop_Play             = 2332165935
  Scrn_Angry_Loop_Stop             = 135679235
  Scrn_Angry_Short                 = 105427450
  Scrn_Angry_Single                = 1286585712
  Scrn_Blink                       = 2666670780
  Scrn_Curious                     = 1701725212
  Scrn_Curious_Long                = 3031263429
  Scrn_Curious_Loop_Play           = 1038670390
  Scrn_Curious_Loop_Stop           = 3150837778
  Scrn_Curious_Pitch_Up            = 3559153577
  Scrn_Curious_Short               = 2929211683
  Scrn_Curious_Single              = 2347235575
  Scrn_Glitch                      = 580622593
  Scrn_Glitch_Long                 = 3415600454
  Scrn_Glitch_Sad                  = 1711545752
  Scrn_Glitch_Sad_Long             = 3293965457
  Scrn_Glitch_Sad_Short            = 3878465287
  Scrn_Glitch_Short                = 1616916842
  Scrn_Go_To_Sleep                 = 2177539960
  Scrn_Happy                       = 302804072
  Scrn_Happy_Long                  = 1961931745
  Scrn_Happy_Loop_Play             = 2681596674
  Scrn_Happy_Loop_Stop             = 3894707430
  Scrn_Happy_Short                 = 3678808343
  Scrn_Happy_Single                = 1484658355
  Scrn_Look                        = 3560778311
  Scrn_Sad                         = 2370771958
  Scrn_Sad_Long                    = 1620542011
  Scrn_Sad_Short                   = 2584633397
  Scrn_Sad_Single                  = 775385813
  Scrn_Single                      = 2203795650
  Scrn_Surprised                   = 3774252557
  Scrn_Surprised_Long              = 1923508322
  Scrn_Surprised_Short             = 3952553918
  Scrn_Surprised_Single            = 3984545916
  Spark_Launch                     = 771536042
  Sparked_Workout_Break            = 1558032299
  Sparked_Workout_Break_Loop       = 2454903272
  Sparked_Workout_Break_Loop_Stop  = 2283733205
  Srv_Angry                        = 1322826570
  Srv_Angry_Long                   = 3491658847
  Srv_Angry_Loop_Play              = 817116172
  Srv_Angry_Loop_Stop              = 3852925444
  Srv_Angry_Short                  = 3765708529
  Srv_Curious                      = 1279900047
  Srv_Curious_Long                 = 3969150064
  Srv_Curious_Loop_Play            = 3522657877
  Srv_Curious_Loop_Stop            = 157449021
  Srv_Curious_Short                = 974094096
  Srv_Happy                        = 2128944011
  Srv_Happy_Long                   = 2435936364
  Srv_Happy_Loop_Play              = 1644950641
  Srv_Happy_Loop_Stop              = 1264167769
  Srv_Happy_Short                  = 105551732
  Srv_Sad                          = 3613386685
  Srv_Sad_Long                     = 25316626
  Srv_Sad_Short                    = 3699079406
  Srv_Surprised                    = 1907152766
  Srv_Surprised_Long               = 3606017555
  Srv_Surprised_Short              = 4054065165
  Wink                             = 3564343056

Anki.AudioMetaData.GameEvent.Robot_Sfx = Robot_Sfx
del Robot_Sfx


class Robot_Vo(object):
  "Automatically-generated uint_32 enumeration."
  Codelab_Animals_Chicken                         = 236752857
  Codelab_Animals_Cow_1                           = 3829315205
  Codelab_Animals_Cow_2                           = 3829315206
  Codelab_Animals_Duck                            = 1848688327
  Codelab_Animals_Elephant                        = 971875003
  Codelab_Animals_Frog                            = 1800290694
  Codelab_Animals_Rattle_Snake                    = 2978943571
  Codelab_Animals_Rooster                         = 2350479588
  Codelab_Animals_Sheep_1                         = 2383960197
  Codelab_Animals_Sheep_2                         = 2383960198
  Codelab_Conducting                              = 992526618
  Codelab_Countdown_1                             = 2569312135
  Codelab_Countdown_2                             = 2569312132
  Codelab_Countdown_3                             = 2569312133
  Codelab_Countdown_Go                            = 3852140140
  Codelab_Firetruck                               = 3855902783
  Codelab_Halloween_Frightened                    = 2445593112
  Codelab_Halloween_Ghoul                         = 2348859489
  Codelab_Halloween_Vampire                       = 878427920
  Codelab_Halloween_Wolfman                       = 4256207922
  Codelab_Halloween_Zombie_1                      = 2504617368
  Codelab_Halloween_Zombie_2                      = 2504617371
  Codelab_Kitchen_Helium_Curious                  = 1851018820
  Codelab_Kitchen_Helium_Idea                     = 1262728875
  Coz_Word_Cube_Neutral                           = 2117050142
  Cozmo_Singing_100Bpm                            = 819632272
  Cozmo_Singing_120Bpm                            = 3805821586
  Cozmo_Singing_80Bpm                             = 3519620195
  Cozmo_Singing_Stop                              = 3704466058
  Dizzy_Hard_1                                    = 3080967599
  Dizzy_Hard_2                                    = 3080967596
  Dizzy_Loop_Play                                 = 777096763
  Dizzy_Loop_Stop                                 = 1227825367
  Dizzy_React_Medium_02                           = 530263530
  Dizzy_React_Soft                                = 2564162256
  Dizzy_Shake_Stop                                = 2134240601
  Dizzy_Shakeout                                  = 497722646
  External_Acapela_English_Name                   = 3652484245
  External_Acapela_English_Sentence               = 822109995
  External_Cozmo_Processing                       = 3205213409
  External_Cozmo_Processing_Question              = 3777359272
  External_Unprocessed                            = 2742937278
  Fist_Bump_Giggle                                = 1531806306
  Global_Vo_Stop                                  = 4099382591
  Gp_Cs_Cuss_Nope                                 = 3018392957
  Gp_Cs_Cuss_React                                = 1772137818
  Gp_Cs_Cuss_Squint                               = 141123577
  Gp_Cs_Getout_Confused_P1                        = 2151470956
  Gp_Cs_Getout_Confused_P2                        = 2151470959
  Gp_Cs_Thinking_Long                             = 3183384229
  Gp_Cs_Thinking_Long_Got_It                      = 726115194
  Gp_Cs_Thinking_Medium                           = 448600270
  Gp_Cs_Thinking_Medium_Got_It                    = 1735580995
  Gp_Explorer_Backup_Beep                         = 1939604322
  Gp_Explorer_Drive_Curious                       = 1093526092
  Gp_Explorer_Drive_Start                         = 746725306
  Gp_Explorer_Drive_Start_Turbo                   = 403916659
  Gp_Explorer_Drive_Stop                          = 2294544082
  Gp_Explorer_Getin                               = 821905486
  Gp_Explorer_Shake_Out                           = 2327316800
  Gp_Guard_Dog_Fail_Loop                          = 2820253451
  Gp_Guard_Dog_Fakeout_1                          = 2183808353
  Gp_Guard_Dog_Fakeout_2                          = 2183808354
  Gp_Guard_Dog_Fakeout_3                          = 2183808355
  Gp_Guard_Dog_Interrupt                          = 1612390421
  Gp_Guard_Dog_Snore_Light_Exhale                 = 1770623604
  Gp_Guard_Dog_Snore_Light_Inhale                 = 2553575382
  Gp_Guard_Dog_Snore_Medium_Inhale                = 2589771301
  Gp_Guard_Dog_Yawn                               = 2419377129
  Gp_Keepaway_Fakeout_Pounce_Fast                 = 1992185148
  Gp_Keepaway_Fakeout_Pounce_Scare                = 888370506
  Gp_Keepaway_Fakeout_Sneaky_Start                = 2606311637
  Gp_Keepaway_Get_In_Ready                        = 2743085071
  Gp_Keepaway_Win_Dance                           = 4061224253
  Gp_Mm_Pattern_Struggle_Focused                  = 624174194
  Gp_Mm_Pattern_Struggle_Shocked                  = 3286982676
  Gp_Mm_Pattern_Struggle_Um                       = 3700907145
  Gp_Mm_Pattern_Taunt_Derr                        = 3651300059
  Gp_Mm_Pattern_Turn_Big                          = 900238575
  Gp_Mm_Pattern_Turn_Short                        = 928871515
  Gp_Mm_Pattern_Win_Giggle                        = 1101765759
  Gp_Mm_Pattern_Win_Laugh_Short                   = 2208086756
  Gp_Peekaboo_Fail                                = 3318593152
  Gp_Peekaboo_Peek                                = 1721362201
  Gp_Peekaboo_Success                             = 2691636253
  Gp_Peekaboo_Thrice_1                            = 3692253879
  Gp_Peekaboo_Thrice_2                            = 3692253876
  Gp_Peekaboo_Thrice_3                            = 3692253877
  Gp_Qt_Tap_Effort                                = 2222654907
  Gp_Shared_Fakeout                               = 543301532
  Gp_Shared_Humph                                 = 2079303
  Gp_Shared_Lose_Fit_Medium                       = 3218891970
  Gp_Shared_Lose_Fit_Short                        = 876073127
  Gp_Shared_Lose_Growl_Medium                     = 2046364900
  Gp_Shared_Lose_Growl_Short                      = 3207916529
  Gp_Shared_Lose_Growl_Short_01                   = 1671409981
  Gp_Shared_Lose_Level_1                          = 420891483
  Gp_Shared_Lose_Level_2                          = 420891480
  Gp_Shared_Lose_Level_3                          = 420891481
  Gp_Shared_Lose_Look_Up                          = 361519622
  Gp_Shared_Lose_Look_Up_Surprised                = 2413162080
  Gp_Shared_Lose_Surprised_Short                  = 291687249
  Gp_Shared_Lose_Throw_Cube                       = 247758371
  Gp_Shared_Win_Chachacha                         = 2184979880
  Gp_Shared_Win_Laugh                             = 2763212437
  Gp_Shared_Win_Level_1                           = 430910432
  Gp_Shared_Win_Level_2                           = 430910435
  Gp_Shared_Win_Level_3                           = 430910434
  Gp_Shared_Win_Medium                            = 3810035423
  Gp_Shared_Win_Short                             = 943980464
  Gp_Shared_Win_Wow_Short                         = 771576844
  Hiking_Hum_Happy                                = 1163200773
  Hiking_Hum_Happy_Short                          = 3113369638
  Invalid                                         = 0
  Meet_Cozmo_Got_It                               = 4040383078
  Meet_Cozmo_Thinking                             = 1307500180
  Nurture_Energy_Cube_Charged                     = 2970584318
  Nurture_Energy_Cube_Charged_Down                = 192388393
  Nurture_Energy_Cube_Shake                       = 12025276
  Nurture_Energy_Cube_Shake_Short                 = 721786627
  Nurture_Energy_Cube_Slurp_Long                  = 123719483
  Nurture_Energy_Cube_Slurp_Short                 = 660576053
  Nurture_Energy_Effort                           = 1571365350
  Nurture_Energy_Relief                           = 996340039
  Nurture_Energy_Sad_Long                         = 1723715257
  Nurture_Energy_Sad_Short                        = 2241122639
  Nurture_Energy_Severe_Stop                      = 2843691623
  Nurture_Energy_Tired                            = 2276804470
  Nurture_Energy_Tired_Loop                       = 3588842637
  Nurture_Energy_Wakeup                           = 1950409291
  Nurture_Play_Concern_Short                      = 4217319781
  Nurture_Play_Drive                              = 460388526
  Nurture_Play_Getout                             = 2797106178
  Nurture_Play_Pouty                              = 1845501759
  Nurture_Repair_Complete                         = 2366089672
  Nurture_Repair_Complete_Curious                 = 3461416271
  Nurture_Repair_Down                             = 4222762077
  Nurture_Repair_Down_Severe                      = 1553453500
  Nurture_Repair_Fix_Round_Severe                 = 1492901078
  Nurture_Repair_Fix_Round_Severe_Curious         = 1772402345
  Nurture_Repair_Jolt_Medium                      = 3545035822
  Nurture_Repair_Jolt_Small                       = 1583427256
  Nurture_Repair_Severe_Sad_Small                 = 229901416
  Nurture_Repair_Severe_Start                     = 3078732004
  Nurture_Repair_Up                               = 647697450
  Nurture_Repair_Up_Severe                        = 1480383213
  Nurture_Repiar_Fix_Round_Severe_Hopeful         = 3728668920
  Onboarding_Cube_Lift_First                      = 1219220413
  Onboarding_Cube_Lifted_React                    = 1564490581
  Onboarding_Cube_Lifted_React_Taka               = 3320332885
  Onboarding_Cube_Lifted_React_Whoa               = 124760265
  Onboarding_Cube_Lifted_React_Woohoo             = 2259447157
  Onboarding_Cube_Set_Celebrate                   = 1518322125
  Onboarding_Cube_Set_First                       = 2694671152
  Onboarding_Cube_Set_Wow                         = 3560671663
  Onboarding_Curious_Huh                          = 555367759
  Onboarding_Curious_Look_Around                  = 3020031119
  Onboarding_Curious_Look_Up                      = 2784611827
  Onboarding_Eyes_Open                            = 1462474442
  Onboarding_Happy                                = 142998609
  Onboarding_See_Cube_First                       = 3651618653
  Onboarding_See_Face_First                       = 3734844721
  Pet_Detection_Bark                              = 3056349377
  Pet_Detection_Cat_Meow                          = 629947316
  Pet_Detection_Growl                             = 2361443718
  Pet_Detection_Howl                              = 1083767857
  Pet_Detection_Roar                              = 4176723711
  Pet_Detection_Roar_End                          = 4112591521
  Pet_Detection_Sneeze                            = 501972637
  Pet_Detection_Sneeze_Shake                      = 593425994
  Placeholder                                     = 668634652
  Pyramid_Giggle                                  = 3515365849
  Qa_Effort_Lift_Heavy                            = 1250202556
  Qa_Gp_Peekaboo_Thrice_3                         = 3016311342
  Qa_Pet_Detection_Dog_Howl                       = 916426147
  Qa_React_Cliff                                  = 1310471692
  Qa_React_Pickup_Angry_2                         = 188399711
  Qa_React_Stuck_Turtle_Roll_Fail_3               = 3867399020
  Qa_React_Wheely_Spin                            = 4043328071
  Qa_Shared_Angry                                 = 3062870207
  Qa_Shared_Hiccup_Big                            = 760592175
  React_3_Cube_Topple_P1                          = 3537517197
  React_3_Cube_Topple_P2                          = 3537517198
  React_Cliff                                     = 3202816225
  React_Face_Suspicious                           = 3698170420
  React_Pickup                                    = 2638083869
  React_Pickup_Angry_P1                           = 703918427
  React_Pickup_Angry_P2                           = 703918424
  React_Stuck_Angry_P1                            = 1511466269
  React_Stuck_Angry_P2                            = 1511466270
  React_Stuck_Turtle_Roll_Fail_P1                 = 3446648261
  React_Stuck_Turtle_Roll_Fail_P2                 = 3446648262
  React_Stuck_Turtle_Roll_Fail_P3                 = 3446648263
  React_Stuck_Turtle_Roll_Ninja                   = 180669663
  React_Stuck_Turtle_Roll_Zen                     = 1764781296
  React_Wheely_Spin                               = 1957283066
  Shared_Align_Grunt                              = 254819395
  Shared_Angry                                    = 1580670828
  Shared_Angry_Muttering_Loop_Play                = 3743522050
  Shared_Angry_Muttering_Loop_Stop                = 3111285294
  Shared_Angry_Short                              = 622779059
  Shared_Awe                                      = 4199618846
  Shared_Bored_Look_Side                          = 751598833
  Shared_Bored_Look_Up                            = 2589648919
  Shared_Bored_Sigh_Long                          = 412109486
  Shared_Bored_Sigh_Short                         = 2741090610
  Shared_Celebrate_Spin                           = 2159643843
  Shared_Curious                                  = 3556785413
  Shared_Curious_Mutter                           = 2721235403
  Shared_Curious_Short                            = 4047754278
  Shared_Disappointed_Short                       = 327662522
  Shared_Effort_Lift                              = 3824979789
  Shared_Effort_Lift_Heavy                        = 3398455981
  Shared_Effort_Pounce                            = 3727241044
  Shared_Effort_Pounce_Heavy                      = 738969844
  Shared_Effort_Set                               = 1467890010
  Shared_Effort_Set_Heavy                         = 606158106
  Shared_Effort_Short                             = 3200991712
  Shared_Excited                                  = 2884456673
  Shared_Excited_Loop_Play                        = 2679819871
  Shared_Excited_Loop_Stop                        = 1864261839
  Shared_Fall_Asleep                              = 3524061431
  Shared_Fall_Cliff_Scream                        = 3144703383
  Shared_Frantic_Muttering_Loop_Play              = 3451388870
  Shared_Frantic_Muttering_Loop_Stop              = 141017286
  Shared_Frustrated_Low                           = 1701937252
  Shared_Fussy                                    = 3400453885
  Shared_Fussy_Loop_Play                          = 756640443
  Shared_Fussy_Loop_Stop                          = 3912485995
  Shared_Fussy_Short                              = 297407534
  Shared_Giggle_Happy_Loop_Play                   = 1488458019
  Shared_Giggle_Happy_Loop_Stop                   = 3962033227
  Shared_Giggle_Short                             = 3928693597
  Shared_Happy                                    = 3531557633
  Shared_Happy_Long                               = 174359366
  Shared_Happy_Loop_Play                          = 3025145855
  Shared_Happy_Loop_Stop                          = 4286366971
  Shared_Happy_Short                              = 1066816362
  Shared_Hiccup                                   = 2997626993
  Shared_Hiccup_Big                               = 499154038
  Shared_Hiccup_Relief                            = 2188209935
  Shared_Idea                                     = 2993967144
  Shared_Idea_Loop_Play                           = 1684239554
  Shared_Idea_Loop_Stop                           = 273762158
  Shared_Idea_Short                               = 1143549143
  Shared_Inhale                                   = 237432456
  Shared_Inhale_Breath_Medium                     = 2492717357
  Shared_Interested                               = 1609212516
  Shared_Interested_Long                          = 3957181661
  Shared_Pain                                     = 3089977461
  Shared_Pounce_02                                = 288653932
  Shared_Pounce_03                                = 288653933
  Shared_Pounce_04                                = 288653930
  Shared_Pounce_Fail                              = 4228327806
  Shared_Raspberry                                = 717035989
  Shared_React_Face                               = 60844582
  Shared_Sad                                      = 69470719
  Shared_Sad_Long                                 = 2147481440
  Shared_Snobby                                   = 2457314414
  Shared_Snore                                    = 654990394
  Shared_Snore_Short                              = 2130053793
  Shared_Squint                                   = 2057205297
  Shared_Surprised                                = 2054953516
  Shared_Surprised_Short                          = 1145334899
  Shared_Suspicious                               = 844374444
  Shared_Suspicious_Short                         = 35665907
  Shared_Take_Damage_Light                        = 3078492749
  Shared_Thinking_Short                           = 3456819050
  Shared_Upgrade_Curious                          = 2081938528
  Shared_Upgrade_Impressed                        = 1733627270
  Shared_Upgrade_Surprised                        = 954550705
  Shared_Wake_Up_1                                = 67470331
  Shared_Wake_Up_2                                = 67470328
  Shared_Wake_Up_3                                = 67470329
  Shared_Wake_Up_4                                = 67470334
  Shared_Wake_Up_P1                               = 246308351
  Shared_Wake_Up_P2                               = 246308348
  Shared_Wake_Up_Snort                            = 781027234
  Sing_Codelab                                    = 2407265109
  Sing_Codelab_Loop_Play                          = 4076236483
  Sing_Getin_02_1                                 = 2001087969
  Sing_Getin_02_2                                 = 2001087970
  Sing_Getin_03_1                                 = 927173192
  Sing_Getin_03_2                                 = 927173195
  Singing_120Bpm_A2_Half                          = 2665736631
  Singing_120Bpm_A2_Quarter                       = 2634308432
  Singing_120Bpm_A2_Three_Quarter                 = 2212916817
  Singing_120Bpm_A2_Whole                         = 2216339925
  Singing_120Bpm_Asharp2_Half                     = 4260156573
  Singing_120Bpm_Asharp2_Quarter                  = 3189064462
  Singing_120Bpm_Asharp2_Three_Quarter            = 2049764023
  Singing_120Bpm_Asharp2_Whole                    = 1295408315
  Singing_120Bpm_B2_Half                          = 1846165312
  Singing_120Bpm_B2_Quarter                       = 1155373617
  Singing_120Bpm_B2_Three_Quarter                 = 515947228
  Singing_120Bpm_B2_Whole                         = 1473583720
  Singing_120Bpm_C2_Half                          = 4074344917
  Singing_120Bpm_C2_Quarter                       = 2490853526
  Singing_120Bpm_C2_Three_Quarter                 = 2348706079
  Singing_120Bpm_C2_Whole                         = 2390914099
  Singing_120Bpm_C3_Half                          = 2878060138
  Singing_120Bpm_C3_Quarter                       = 713547595
  Singing_120Bpm_C3_Three_Quarter                 = 3768619574
  Singing_120Bpm_C3_Whole                         = 2860974482
  Singing_120Bpm_Csharp2_Half                     = 2435220247
  Singing_120Bpm_Csharp2_Quarter                  = 1936195120
  Singing_120Bpm_Csharp2_Three_Quarter            = 2177169393
  Singing_120Bpm_Csharp2_Whole                    = 1123266229
  Singing_120Bpm_Csharp3_Half                     = 3304927372
  Singing_120Bpm_Csharp3_Quarter                  = 1380619549
  Singing_120Bpm_Csharp3_Three_Quarter            = 1231309480
  Singing_120Bpm_Csharp3_Whole                    = 1828406652
  Singing_120Bpm_D2_Half                          = 790464094
  Singing_120Bpm_D2_Quarter                       = 2249637967
  Singing_120Bpm_D2_Three_Quarter                 = 1960999562
  Singing_120Bpm_D2_Whole                         = 1425626494
  Singing_120Bpm_Dsharp2_Half                     = 3217516202
  Singing_120Bpm_Dsharp2_Quarter                  = 1810914955
  Singing_120Bpm_Dsharp2_Three_Quarter            = 1128139894
  Singing_120Bpm_Dsharp2_Whole                    = 3762694098
  Singing_120Bpm_E2_Half                          = 3403380483
  Singing_120Bpm_E2_Quarter                       = 4085655852
  Singing_120Bpm_E2_Three_Quarter                 = 1546249469
  Singing_120Bpm_E2_Whole                         = 2291045865
  Singing_120Bpm_F2_Half                          = 3436445324
  Singing_120Bpm_F2_Quarter                       = 3829591837
  Singing_120Bpm_F2_Three_Quarter                 = 3301561512
  Singing_120Bpm_F2_Whole                         = 3290533756
  Singing_120Bpm_Fsharp2_Half                     = 4055311404
  Singing_120Bpm_Fsharp2_Quarter                  = 3947831357
  Singing_120Bpm_Fsharp2_Three_Quarter            = 3607894536
  Singing_120Bpm_Fsharp2_Whole                    = 1550390428
  Singing_120Bpm_G2_Half                          = 4207858993
  Singing_120Bpm_G2_Quarter                       = 2285669346
  Singing_120Bpm_G2_Three_Quarter                 = 3421034731
  Singing_120Bpm_G2_Whole                         = 171133111
  Singing_120Bpm_Gsharp2_Half                     = 1795554027
  Singing_120Bpm_Gsharp2_Quarter                  = 999336708
  Singing_120Bpm_Gsharp2_Three_Quarter            = 2045107285
  Singing_120Bpm_Gsharp2_Whole                    = 3171659505
  Singing_120Bpm_Rest_Half                        = 2231336058
  Singing_120Bpm_Rest_Quarter                     = 2847906843
  Singing_120Bpm_Rest_Three_Quarter               = 902005286
  Singing_120Bpm_Rest_Whole                       = 2337687778
  Singing_Alle_Meine_Entchen                      = 804186022
  Singing_Beethovens_5Th                          = 3795010874
  Singing_Camptown                                = 2922615820
  Singing_Getin_1                                 = 2007174956
  Singing_Getin_2                                 = 2007174959
  Singing_Getin_3                                 = 2007174958
  Singing_Happy_Birthday                          = 2259770973
  Singing_Itsy_Bisty_Spider                       = 1216523470
  Singing_Mary_Little_Lamb                        = 3827215192
  Singing_Ode_To_Joy                              = 3332514350
  Singing_Oh_My_Darlin                            = 2720242428
  Singing_Pachebel_Canon                          = 2716245049
  Singing_Pop_Goes_The_Weasel                     = 1694352783
  Singing_Row_Your_Boat                           = 822436830
  Singing_Take_Me_Out_Ballgame                    = 2051975060
  Singing_Teapot                                  = 178156572
  Singing_Twinkle                                 = 2014444941
  Singing_William_Tell                            = 1292245236
  Singing_Yankee_Doodle                           = 1845183010
  Sparked_Driving                                 = 3606845375
  Sparked_Driving_Look                            = 2670470879
  Sparked_Driving_Start                           = 1233493330
  Sparked_Fail                                    = 2861844754
  Sparked_Out                                     = 2452343422
  Sparked_Pyramid_Complete                        = 1438874844
  Sparked_Ready_To_Go                             = 4268262662
  Sparked_Succeed                                 = 4231360462
  Sparked_Succeed_Tada                            = 2693760973
  Sparked_Surprise                                = 3822640315
  Sparked_Workout_Break_Lift_Pain                 = 492094136
  Sparked_Workout_Break_Lift_Startled             = 1138165379
  Sparked_Workout_Break_Lift_Struggle             = 9918389
  Sparked_Workout_Lift_Fail                       = 1101180372
  Sparked_Workout_Lift_Fail_Struggle              = 835476802
  Sparked_Workout_Lift_Fail_Struggle_Long         = 1462283623
  Sparked_Workout_Lift_Fail_Struggle_Longest      = 2885068477
  Sparked_Workout_Lift_Fail_Struggle_Longest_Stop = 1084850966
  Sparked_Workout_Lift_Fail_Tired                 = 3312564867
  Sparked_Workout_Lift_Success_Showoff            = 2247677502
  Sparked_Workout_Lift_Success_Strong             = 1844409553
  Sparked_Workout_Lift_Success_Throw_Block        = 3296787010
  Sparked_Workout_Lift_Success_Weak               = 2216609612
  Test_English_Nathan                             = 1093959669
  Test_French_Thomas                              = 675768851
  Test_German_Markus                              = 839828754
  Test_German_Yannick                             = 440564342
  Test_Japanese_Daisuke                           = 649271426
  Test_Japanese_Ichiro                            = 3160185928
  Word_Cat                                        = 743962600
  Word_Cube_Happy                                 = 1400293052
  Word_Cube_Neutral                               = 740915407
  Word_Cube_Request                               = 3660085349
  Word_Cube_Sad                                   = 3995541618
  Word_Dog                                        = 843495306
  Word_Energy_Request_Level_1                     = 3962217785
  Word_Energy_Request_Level_2                     = 3962217786
  Word_Energy_Shake_Cube                          = 3630074233
  Word_Fist_Bump                                  = 1089575137
  Word_Fist_Bump_Request                          = 3296388559
  Word_Keepaway_Excited                           = 3097808214
  Word_Keepaway_Request                           = 3460255911
  Word_Keepaway_Sad                               = 2098273712
  Word_Memory_Match_Happy                         = 2694835404
  Word_Memory_Match_Request                       = 4090420021
  Word_Memory_Match_Sad                           = 1881407426
  Word_Peekaboo_Level_1                           = 2687916921
  Word_Peekaboo_Request                           = 4173776344
  Word_Play_Level_1_Request                       = 2147550587
  Word_Play_Level_1_Shout                         = 3890885607
  Word_Play_Level_2                               = 583294374
  Word_Quick_Tap                                  = 444948971
  Word_Speedtap_Excited                           = 2751243663
  Word_Speedtap_Request                           = 919083726

Anki.AudioMetaData.GameEvent.Robot_Vo = Robot_Vo
del Robot_Vo


class Sdk(object):
  "Automatically-generated uint_32 enumeration."
  Invalid                = 0
  Sfx_Cube_Connected     = 1348118290
  Sfx_Cube_Light         = 547519
  Sfx_Cube_Light_Blue    = 1471279738
  Sfx_Cube_Light_Red     = 1003135343
  Sfx_Cube_Light_Yellow  = 2688904298
  Sfx_Game_End           = 3133966309
  Sfx_Game_Lose          = 338534481
  Sfx_Game_Win           = 3215000236
  Sfx_Round_End          = 1198938701
  Ui_Click               = 3333714278
  Ui_Device_Notification = 681875134

Anki.AudioMetaData.GameEvent.Sdk = Sdk
del Sdk


class Sfx(object):
  "Automatically-generated uint_32 enumeration."
  Banner_Wipe                          = 3247701492
  Code_Fragment_Collected              = 2587766166
  Code_Fragment_Released               = 1918333736
  Cube_Feeding_Down                    = 2378985973
  Cube_Feeding_Loop_Play               = 3618620556
  Cube_Feeding_Loop_Stop               = 3890113136
  Cube_Feeding_Success                 = 3991319706
  Cube_Feeding_Up                      = 1378697730
  Daily_Goal                           = 3010549659
  Daily_Reward_Calendar_Disappear      = 2897417442
  Daily_Reward_Collect                 = 878067460
  Daily_Reward_Disappear               = 2538266513
  Daily_Reward_Goal_Collect            = 2962215520
  Daily_Reward_Open                    = 1796529350
  Daily_Reward_Status                  = 2202351196
  Emotion_Chip_Charged_Start           = 2709491700
  Emotion_Chip_Charged_Tap             = 53415191
  Game_End                             = 3871304392
  Game_Start                           = 126137843
  Gp_Explorer_Night_Vision_Off         = 132505315
  Gp_Explorer_Night_Vision_On          = 4183101071
  Gp_Mm_Light_Blue                     = 944508478
  Gp_Mm_Light_Red                      = 153648099
  Gp_Mm_Light_Yellow                   = 771679342
  Gp_Mm_Pattern_Start                  = 2601428284
  Gp_Shared_Block_Connect              = 3790068130
  Gp_Shared_Game_End                   = 2218318430
  Gp_Shared_Request_Game               = 1936634046
  Gp_Shared_Round_End                  = 3799430148
  Gp_St_Cube_Cozmo_Tap                 = 2843679148
  Gp_St_Lightup                        = 231361703
  Gp_St_Lose                           = 4278097031
  Gp_St_Tap_Red                        = 600994811
  Gp_St_Win                            = 2704467806
  Invalid                              = 0
  Nurture_Background_Appear_Onboarding = 262762452
  Nurture_Earn_Bonus_Box               = 2011411516
  Nurture_Earn_Play_Token              = 682797893
  Nurture_Earn_Token                   = 2096533448
  Nurture_Meter_Appear                 = 2123372857
  Nurture_Meter_Appear_Onboarding      = 2779592687
  Nurture_Meter_Down                   = 3230535882
  Nurture_Meter_Down_Connected         = 2210253730
  Nurture_Meter_Full                   = 4064083045
  Nurture_Meter_Severe_Start           = 3001551979
  Nurture_Meter_Up                     = 1865902409
  Nurture_Meter_Up_Disconnected        = 3142067853
  Nurture_Popup                        = 3135833018
  Onboarding_Test_Tone                 = 1823946677
  Placeholder                          = 3278074531
  Relationship_Gain                    = 1770649520
  Relationship_Gain_Collect            = 447401587
  Repair_Calibrate                     = 1047777997
  Repair_Level_Success                 = 3944925464
  Repair_Pattern_Complete              = 1670593078
  Repair_Pattern_Down                  = 3820109879
  Repair_Pattern_Error                 = 2689322891
  Repair_Pattern_Up                    = 4229457120
  Repair_Scan                          = 2465239373
  Repair_Scan_Complete                 = 649332933
  Repair_Scan_Stop                     = 1631036014
  Repair_Success_Complete              = 3969829927
  Repair_Success_Round                 = 1470861090
  Repair_Tap_Arrow                     = 821377663
  Spark_Gain                           = 2596085903
  Spark_Launch                         = 38276463
  Spark_Success                        = 3587224415

Anki.AudioMetaData.GameEvent.Sfx = Sfx
del Sfx


class Ui(object):
  "Automatically-generated uint_32 enumeration."
  Attention_Device             = 796149778
  Click_Back                   = 3218349115
  Click_General                = 902542
  Cozmo_Connect                = 647774144
  Cozmo_Connect_Fail           = 1743202231
  Cozmo_Connect_Scan_Loop      = 1356238993
  Cozmo_Connect_Scan_Loop_Stop = 698059508
  Cozmo_Disconnect             = 2439191052
  Cozmo_Error                  = 3105114476
  Cozmo_Upgrade                = 1233383102
  Invalid                      = 0
  Placeholder                  = 1840201236
  Window_Close                 = 974187556
  Window_Open                  = 1763539616
  Window_Vertical_Wipe         = 931790836

Anki.AudioMetaData.GameEvent.Ui = Ui
del Ui


