# Copyright (c) 2016-2017 Anki, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License in the file LICENSE.txt or at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""
Autogenerated python message buffer code.
Source: clad/types/behaviorSystem/activityTypes.clad
Full command line: ../tools/message-buffers/emitters/Python_emitter.py -C ./src/ -I ../robot/clad/src/ ../coretech/vision/clad/src/ ../coretech/common/clad/src/ ../lib/util/source/anki/clad -o ../generated/cladPython// clad/types/behaviorSystem/activityTypes.clad
"""

from __future__ import absolute_import
from __future__ import print_function

def _modify_path():
  import inspect, os, sys
  search_paths = [
    '../../..',
    '../../../../../tools/message-buffers/support/python',
  ]
  currentpath = os.path.abspath(os.path.dirname(inspect.getfile(inspect.currentframe())))
  for search_path in search_paths:
    search_path = os.path.normpath(os.path.abspath(os.path.realpath(os.path.join(currentpath, search_path))))
    if search_path not in sys.path:
      sys.path.insert(0, search_path)
_modify_path()

import msgbuffers

Anki = msgbuffers.Namespace()
Anki.Cozmo = msgbuffers.Namespace()

class ActivityType(object):
  "Automatically-generated uint_8 enumeration."
  BehaviorsOnly   = 0
  BuildPyramid    = 1
  Feeding         = 2
  Freeplay        = 3
  GatherCubes     = 4
  Socialize       = 5
  Sparked         = 6
  StrictPriority  = 7
  NeedsExpression = 8
  Count           = 9

Anki.Cozmo.ActivityType = ActivityType
del ActivityType


class ActivityID(object):
  "Automatically-generated uint_8 enumeration."
  Invalid                 = 0
  BuildPyramid            = 1
  Feeding                 = 2
  Freeplay                = 3
  GatherCubes             = 4
  Hiking                  = 5
  MeetCozmo               = 6
  NeedsSevereLowEnergy    = 7
  NeedsSevereLowRepair    = 8
  NeedsSevereLowPlayGetIn = 9
  NothingToDo             = 10
  PlayAlone               = 11
  PlayWithHumans          = 12
  PutDownDispatch         = 13
  Selection               = 14
  Singing                 = 15
  Socialize               = 16
  SparksBuildPyramid      = 17
  SparksCozmoSings        = 18
  SparksFistBump          = 19
  SparksGatherCubes       = 20
  SparksKnockOverCubes    = 21
  SparksPeekABoo          = 22
  SparksPickUpCube        = 23
  SparksPopAWheelie       = 24
  SparksPounceOnMotion    = 25
  SparksRollBlock         = 26
  SparksStackBlock        = 27
  SparksWorkout           = 28
  StrictPriorityFreeplay  = 29
  SparksTrackLaser        = 30
  SparksFireTruckAlarm    = 31

Anki.Cozmo.ActivityID = ActivityID
del ActivityID


class ActivityStrategy(object):
  "Automatically-generated uint_8 enumeration."
  PlayWithHumans       = 0
  Pyramid              = 1
  Simple               = 2
  Spark                = 3
  NeedBasedCooldown    = 4
  Needs                = 5
  SevereNeedTransition = 6
  Count                = 7

Anki.Cozmo.ActivityStrategy = ActivityStrategy
del ActivityStrategy


class HighLevelActivity(object):
  "Automatically-generated uint_8 enumeration."
  Feeding            = 0
  Freeplay           = 1
  Selection          = 2
  MeetCozmoFindFaces = 3
  Count              = 4

Anki.Cozmo.HighLevelActivity = HighLevelActivity
del HighLevelActivity


